СЛК 3.0. История изменений
==========================

UNRELEASED

3.0.41.12713 2025-12-02

- Компонента (защита)
  Оптимизация логгирования ошибок

- Компонента (загрузчик), Unix
  Оптимизация переключения на уже загруженный модуль компоненты

- Компонента (менеджер объектов) [regression]
  Исправлена ошибка: после создания менеджера объектов 
  свойство объекта компоненты "ПараметрыСвязи" возвращало пустую 
  строку

- Компонента (связь)
  Оптимизация контроля корректности значений адреса и порта для 
  связи с сервером, передаваемых из конфигурации

- Сервер [совместимость с СЛК 2.0] 
  Оптимизация получения сеансов в режиме совместимости с СЛК 2.0

- Сервер (внешнее API) [regression] 
  Исправлена ошибка: было невозможно создать внешний сеанс и получить 
  лицензию средствами API

- Сервер
  Оптимизация логгирования ошибок внешнего API и информации о сеансах

- Документация
  Общие исправления / изменения / дополнения

3.0.40.12691 2025-11-16

- Компонента (связь) [regression] 
  Исправлена ошибка: не применялись параметры связи, устанавливаемые в 
  коде конфигурации

- Сервер (консоль)
  Доработка: при формировании файлового запроса и установке ответа 
  добавлены предупреждения о том, что ответ на запрос может быть 
  установлен только на том компьютере, где формировался запрос

- Сервер
  Оптимизация расчета числа дней между датами при отображении сроков
  действия лицензий

- Компонента [совместимость с СЛК 2.0]
  Исправлена ошибка: использовались неправильные английские
  имена некоторых свойств объекта компоненты

- Компонента (защита) [!!]
  Доработка ($CLCO, $COAO, $AOPU, $CBCU, $AOAN)
  Оптимизация ($USK, $DFFC); Изменен формат файлов данных

- Сервер (консоль) [разметка]
  Исправлена ошибка: при небольших размерах окна был недоступен 
  блок фильтров главного раздела

- Сервер (консоль)
  Доработка: реализована возможность отображения лицензий и сеансов только по 
  конкретным информационным базам или кодам доступа, и соеднинений и сеансов 
  с конкретного имени компьютера. Необходимый параметр может быть выбран в свойствах 
  лицензии / сеанса / соединения или указан в адресной строке в параметрах "InfoBaseName" / 
  "AccessCode" / "ComputerName", например:

  http://localhost:9099?infonasename=test_1&accesscode=1111&ComputerName=DESKTOP1

- Компонента (связь) [regression] [!]
  Исправлена ошибка: выполнялось постоянное переключение между резервными 
  серверами, что могло приводить к зависанию или аварийному завершению 
  процесса

- Компонента (связь) [!]
  Оптимизация установки параметров соединения и переключения на резервыне 
  серверы; оптимизация логгирования

- Компонента
  Доработка: в серверном режиме реализовано кэширование файлов 
  данных в разрезе информационных баз

- Компонента (связь) 
  Доработка: реализована повторная отправка команд при получении 
  пустого ответа в условиях нестабильного соединения, параметры могут быть 
  указаны в конфигурационном файле компоненты:

  [Timeouts]
  ; Число автоматических повторов выполнения команды при получении 
  ; пустого ответа (по умолчанию 3)
  AutoReexecute=3
  ; Задержка перед автоматическим повтором выполнения команды, сек. (по умолчанию 3)
  AutoReexecuteDelay=3
  ; Число автоматических повторов отправки запроса при ошибках отправки (по умолчанию 0)
  AutoRepost=0
  
- Компонента, Windows (защита) [!]
  Оптимизация обращения к защищенным объектам

- Сервер, утилита определения USB устройств, Windows [интеграция с системой лицензирования Рарус] [regression] [!]
  По соображениям безопасности отключено получение дополнительной информации 
  по ключам серии 4B38 "Типовые решения на V8" для решений 1С:Рарус

- Сервер (консоль) [разметка, безопасность]
  Доработка: по умолчанию предупреждение о необходимости смены стандартных 
  учетных данных / включения авторизации сделано неотключаемым; 
  в разделе параметров консоли добавлена соответствующая настройка

- Сервер (консоль) [безопасность]
  Оптимизация использования Anti-CSRF токенов

- Сервер (консоль) [безопасность]
  Доработка: по умолчанию добавлена проверка CAPTCHA при подтверждении
  системных операций и сохранении настроек; в разделе параметров консоли 
  добавлена соответствующая настройка

- Сервер (консоль) [безопасность]
  Оптимизация генерации и отображения CAPTCHA

- Сервер (консоль) [безопасность]
  Доработка: реализована возможность обновления CAPTCHA 
  без перезагрузки страницы

- Сервер (консоль) [разметка]
  Оптимизация отображения в браузере Safari

- Сервер, Linux / MacOS
  Доработка: при запуске сервера реализована установка лимита открытых 
  файлов в 16384, поведение может быть изменено в конфигурационном файле:

  [Common]
  ; Unix: лимит открытых файлов (закомментировать / оставить пустым для 
  ; значения по умолчанию в 16384, установить в 0 для использования системных параметров)
  ;LimitNOFILE=

- Сервер
  Оптимизация установки свойств серии при добавлении или обновлении
  лицензий

- Документация
  Общие исправления / изменения / дополнения

3.0.39.12400 2025-06-25

- Демонстрационная конфигурация / расширение
  Доработка: при невозможности подключения компоненты на ОС Linux 
  реализован пример проверки запрета выполнения бинарного кода из временного 
  каталога (монтирование с флагом noexec)

- Компонента (установочные пакеты), Linux
  Доработка: в установочных скриптах реализовано предупреждение о потенциальной 
  невозможности подключения компоненты из временного каталога при запрете выполнения 
  из него бинарного кода (монтирование с флагом noexec)

- Сервер (консоль)
  Исправлена ошибка: при полностью отключенной авторизации была 
  недоступна загрузка на сервер сохраненных файлов лицензий

- Сервер (консоль, параметры)
  Доработка: в предпупреждениях о нестрандратных параметрах связи и
  отключенной / не настроенной авторизации добавлена возможность 
  быстрого перехода в раздел настроек для редактирования параметров

- Сервер (консоль)
  Доработка: добавлены предупреждения об ограниченной доступности сервера 
  при указании в настройках конкретного IP-адреса и / или нестандартного 
  порта

- Сервер (консоль, параметры)
  Оптимизация установки IP-адреса сервера и механизма перенаправления 
  при его изменении

- Сервер (консоль, параметры)
  Исправлена ошибка: при установленном языке для возврата к настройке 
  по умолчанию (атоматически или английский) требовался перезапуск 
  сервера

- Сервер (консоль)
  Доработка: в свойствах лицензии добавлены текстовые предупреждения 
  об установленных параметрах доступа (код доступа или информационные базы)

- Сервер (консоль)
  Доработка: в разделе "Установка лицензий" добавлены предупреждения 
  о типах устанавливаемых лицензий, видах их кодов активации и различных вариантах 
  ИНН (БИН / ЕДРПУ)

- Сервер (консоль)
  Оптимизация отображения всплывающих подсказок

- Сервер (обмен с Центром Лицензирования)
  Исправлена ошибка: при обновлении состояния обновлялись 
  параметры только тех серий, для которых есть только аппаратные
  ключи

- Сервер (консоль) [интеграция с системой лицензирования Рарус]
  Оптимизация отображения информационных сообщений и ссылок на веб-отчет 
  сервера лицензирования 1С:Рарус

- Сервер, утилита определения USB устройств, Windows [интеграция с системой лицензирования Рарус]
  Доработка: реализовано получение дополнительной информации по ключам 
  серии 4B38 "Типовые решения на V8" для некоторых решений 1С:Рарус

- Утилита определения USB устройств, Windows
  Оптимизация получения актуальной прошивки ключей USB-HID (EFM8 70.1.*);
  Оптимизация интерфейса

- Сервер (аппаратные ключи) [regression]
  Исправлена ошибка: некорректно выполнялась проверка паролей при доступе к памяти 
  аппаратных ключей (50.3.50 и ниже)

- Компонента [regression]
  Исправлена ошибка: получение лицензии в облачном режиме приводило 
  к блокировке работы с ошибкой EInvalidCall

- Компонента (связь)
  Оптимизация переключения на резервные серверы;
  Оптимизация логгирования ошибок соединения

- Сервер [совместимость с СЛК 2.0]
  Оптимизация идентификации сеансов, созданных в режиме совместимости 
  с СЛК 2.0

- Сервер
  Доработка: добавлена проверка времени жизни сеансов при запросах списков 
  и счетчиков лицензий

- Установочные пакеты, Linux
  Оптимизация установки прав доступа устанавливаемых файлов 

- Компонента (установочные пакеты), Windows
  Оптимизация получения и отображения процессов, работа которых может 
  помешать выполнению операции

- Установочные пакеты, Windows
  Доработка: реализован запрос подтверждения удаления конфигурационных 
  файлов при удалии пакетов
  Оптимизация: интерфейс пользователя, команды удаления пакетов, получение
  состояния служб

- Компонента (установочные пакеты), Windows / Linux [!]
  Доработка: установка точного пути к расположению установленного 
  модуля комопненты

- Компонента, Windows / Linux [regression]
  Исправлена ошибка: при подключении из макета не выполнялось 
  переключение на установленную пакетом компоненту

- Сервер (консоль)
  Доработка: в разделе "Обновление / восстановление лицензий" релизована 
  возможность скрытия области загрузки сохраненных файлов лицензий

- Сервер (консоль)
  Исправлена ошибка: было невозможно загрузить на сервер отдельный сохраненный 
  файл лицензии при отсутствии каталога размещения

- Сервер (консоль)
  Оптимизация отображения ссылок на сайт и электронную почту Центра 
  Лицензирования

- Сервер [regression]
  Исправлена ошибка: в некоторых случаях при обновлении состояния 
  лицензий, неработоспособных из-за изменения конфигурации компьютера, 
  возникала ошибка EAccessViolation 

- Компонента [regression]
  Исправлена ошибка: при установке параметров контроля лицензии 
  методами менеджера объектов [Попытка]УстановитьПараметрыКонтроляЛицензии 
  сбрасывалось значение кода доступа, ранее установленное 
  методами [Попытка]УстановитьКодДоступа

- Компонента (защита) [regression]
  Исправлена ошибка: передача некорректных параметров при вызове 
  метода менеджера объектов [Попытка]ЗагрузиИзМакета расценивалась как 
  попытка взлома и приводила к блокировке работы с ошибкой EInvalidCall

- Компонента
  Оптимизация логгирования загрузки файлов данных

- Сервер (консоль)
  Оптимизация отображения используемых параметров контроля 
  лицензии в свойствах сеанса

- Сервер (консоль)
  Оптимизация разметки / скриптов

- Документация
  Общие исправления / изменения / дополнения

3.0.38.12226 2025-04-18

- Компонента
  Оптимизация обработки и логгирования ошибок запуска 

- Компонента (защита) [!!]
  Оптимизация ($USK, $OMO, $DFFC); изменен формат файлов данных

- Сервер (консоль)
  Доработка: в свойствах сеанса добавлено отображение используемых 
  параметров контроля лицензии

- Сервер (консоль)
  Доработка: реализована возможность переопредления корневого 
  пути URL-адресов в ответах сервера в HTTP-заголовке запроса 
  "Licence-ConsoleRoot" для размещения консоли за обратным-прокси 
  сервером (подробнее см. руководство администратора, раздел о 
  консоли сервера)

- Сервер (консоль)
  Доработка: добавлена всплывающая подсказка при установке лицензий 
  если не выбрано место установки 

- Сервер (консоль) [!]
  Доработка: реализована возможность сохранения в ZIP-архив файлов 
  установленных на компьютере лицензий для последующего восстановления 
  (команда требует авторизации и доступна в свойствах конкретной лицензии 
  и после успешного выполнения установки или восстановления лицензий)

- Сервер (консоль) [!]
  Доработка: реализована возможность загрузки на сервер ZIP-архива с 
  сохраненными лицензиями (команда требует авторизации и доступна в 
  разделе "Обновление / восстановление лицензий")

- Компонента (загрузчик), Windows
  Оптимизация определения целевого процесса

- Компонента (загрузчик), Windows [оптимизация работы с 1С:Линк]
  Доработка: по умолчанию включена загрузка компоненты 
  на веб-сервере Apache 

- Компонента [!][+]
  Облачный режим получения и контроля лицензий (подробнее см. 
  описание облачного режима в документации разработчика)

- Компонента (защита) [!]
- Компонента (установочные пакеты), Windows
  Экспериментальная поддержка тестовой версии платформы 8.5.1

- Компонента (защита) [!]
  Оптимизация механизма инициализации и удаления временных файлов 
  предыдущих сеансов

- Сервер (запуск) [совместимость с СЛК 1.*]
  Доработка: реализована запись в лог предупреждения при обнаружении 
  работающего процесса сервера СЛК 1.* (серверы СЛК 1.* и СЛК 3.0 могут 
  работать одновременно при использовании разных портов)

- Компонента (менеджер объектов)
  Доработка: реализован альтернативный вариант синтаксиса методов 
  менеджера объектов [Ппопытка]УстановитьПараметрыКонтроляЛицензии(Парамеры), 
  позволяющий указать параметры контроля в полях струтуры (подробнее 
  см. описание методов в руководстве разработчика)

- Сервер
  Оптимизация установки имен серии / артикула / версии;
  Получение артикула и его имени для программных лицензий, установленных 
  на носителях старого типа (50.3.50 и ниже)

- Сервер (аппаратные ключи)
  Оптимизация доступа к пользовательской памяти аппаратных 
  ключей (50.3.50 и ниже)

- Утилита определения USB устройств, Windows
  Оптимизация получения и отображения версии драйвера

- Сервер (обмен с Центром Лицензирования), Windows
  Доработка: по умолчанию реализовано выполнение запросов через 
  интерфейс WinINet для поддержки передачи данных через прокси-серверы (для 
  включения / отключения необходимо установить соответствующий флаг в разделе 
  параметров консоли);
  Оптимизация обработки ошибок обмена с Центром Лицензирования;
  Оптимизация формирования запросов 

- Сервер (служба), Unix
  Оптимизация инициализации сетевого интерфейса для ускорения 
  перезапуска службы

- Сервер (консоль)
  Оптимизация разметки; 
  Оптимизация скриптов
  
- Документация
  Общие исправления / изменения / дополнения


3.0.37.11710 2024-08-30

- Сервер (консоль, безопасность) [!]
  Доработка: реализован дополнительный контроль входных данных при 
  установке лицензий для защиты от XSS-атак (в частности, CWE-79 
  BDU:W-2024-00152)
  
- Сервер (консоль, безопасность) [!]
  Доработка: реализован дополнительный контроль отображения 
  пользовательских данных и сообщений об ошибках

- Сервер (консоль, параметры)
  Доработка: реализована возможность скрыть отображение параметров 
  доступа к лицензиям в их свойствах, для применения необходимо 
  установить соответствующий флаг в разделе параметров консоли

- Сервер (консоль)
  Доработка: расширенное логгирование веб-ошибок

- Документация
  Общие исправления / изменения / дополнения

3.0.36.11657 2024-08-12

- Компонента (защита) [!]
  Оптимизация механизма идентификации защищенных объектов

- Сервер, Windows [!]
  Оптимизация получения информации об оборудовании при работе в 
  виртуальных ОС

- Сервер, Windows [!]
  Оптимизация получения информации об оборудовании (диски) при 
  использовании RAID массивов

- Сервер (консоль, активация лицензий, параметры)
  Доработка: по умолчанию команда активации по телефону не 
  отображается, для отображения необходимо установить соответствующий
  флаг в разделе параметров консоли

- Сервер (консоль, активация лицензий)
  Доработка: добавлено предупреждение при активации по телефону

- Все компоненты, Windows
  Доработка: поддержка отображения версий Windows Server 2025

- Компонента
  Доработка: реализована поддержка некольких виртуальных каталогов 
  профилей безопасности

- Компонента (связь) [!]
  Оптимизация механизма периодических запросов к серверу для поддержки
  соединения (keep-alive)

- Компонента (связь), Linux [!!]
  Оптимизация механизма ожидания ответа при установке / восстановления 
  соединения 

- Сервер, компонента (связь), Linux [!]
  Оптимизация межпоточной синхронизации при выполнении сетевых операций

- Компонента (связь), Windows [regression]
  Исправлена ошибка: при использовании COM-соединения после 
  отключения сеанса было невозможно установить повторное соединение 
  с сервером 

- Сервер (консоль)
  Оптимизация разметки

- Документация
  Общие исправления / изменения / дополнения

3.0.35.11554 2024-04-22

- Компонента, Linux [!]
  Оптимизация преобразования строковых данных платформы (UTF-16)
  в формат ОС (UTF-8)

- Компонента
  Оптимизация доступа к файлам данных, загруженных из макетов

- Сервер
  Оптимизация получения информации об оборудовании при работе в 
  виртуальных ОС

- Сервер (консоль)
  Оптимизация разметки

- Сервер (консоль) [безопасность]
  Доработка: реализована возможность разрешить доступ к консоли 
  только с локального компьютера или с разрешенных IP адресов, 
  которые могут быть указаны в разделе "Параметры - Консоль" (см. 
  также руководство администратора)

- Сервер (консоль) [!]
  Исправлена ошибка: было невозможно удалить с аппаратного 
  носителя программный ключ, заблокированный в Центре 
  Лицензирования 

- Сервер (консоль), Linux [regression]
  Исправлена ошибка: не выполнялось открытие консоли СЛК 
  из меню приложений графического рабочего стола

- Компонента (связь)
  Оптимизация первичной установки соединения при изменении 
  параметров связи

- Все компоненты, Windows
  Оптимизация получения версий ОС Windows 10 / Windows Server 2016 и 
  выше

- Компонента
  Доработка: реализована возможность загрузки файлов данных из 
  произвольных файлов, для чего в первом параметре метода [Попытка]ЗагрузитьИзМакета
  нужно указать имя файла, который необходимо загрузить (подробнее 
  см. описание метода в руководстве разработчика)

- Редактор файлов, Linux 
  Исправлена ошибка: при создании файлов данных в Linux 
  неправильно сохранялось текущие дата и время, что приводило 
  к невозможности использования созданного файла в Windows

- Все компоненты (файлы данных)
  Доработка: реализован контроль ошибок получения даты и времени 
  создания файла, приводивших к невозможности загрузки файла

- Сервер, компонента (установочные пакеты), Windows
  Оптимизация запуска и завершения установки пакета 
  компоненты при установке сервера

- Сервер (консоль)
  Доработка: отображение состояния заблокированных аппаратных 
  ключей в случае, даже если их память была повреждена

- Компонента (защита) [!!]
  Оптимизация обработки обнаружения взлома для исключения 
  аварийного завершения процесса

- Сервер (консоль)
  Доработка: в свойствах соединения добавлено предупреждение о 
  блокировке при обнаружении взлома

- Компонента [совместимость с СЛК 2.*]
  Доработка: отключение режима совместимости при обнаружении 
  уже загруженной предыдущей версии компоненты

- Компонента (связь) [!]
  Оптимизация механизма блокировки доступа к общим данным в 
  многопоточном окружении

- Компонента (связь) [!]
  Оптимизация закрытия сетевых соединений и отключения от сервера СЛК

- Компонента [совместимость с СЛК 2.0] [regression]
  Исправлена ошибка: EAccessViolation при инициализации сеанса в 
  клиентском контексте 

- Компонента, сервер (консоль), Linux / MacOS
  Доработка: поддержка учебной версии платформы

- Сервер (консоль) [JavaScript]
  Оптимизация скриптов для работы на старой версии браузера
  Internet Explorer 8.0

- Сервер, Windows
  Оптимизация обработки ошибок при получении информации о
  установленных драйверах

- Компонента
  Оптимизация получения сообщения об ошибке запуска

- Документация
  Общие исправления / изменения / дополнения
  
3.0.34.11319 2023-12-01

- Компонента
  Оптимизация получения лицензии в фоновых заданиях

- Сервер, Компонента (связь)
  Оптимизация ожидания и повторного выполнения запросов в условиях 
  нестабильного соединения

- Компонента, Linux / Darwin
  Оптимизация операций сортировки и преобразования строковых данных

- Сервер (консоль)
  Доработка: добавлено описание нового типа отраслевой 
  подписки (ИТС Отраслевой КОРП для 1С:CRM)

- Компонента (внешнее API, интеграция с системой лицензирования Рарус)
  Доработка: при получении списка лицензий добавлена информация об
  ИНН / КПП

- Документация
  Общие исправления / изменения / дополнения

3.0.33.11307 2023-09-29

- Сервер (установочные пакеты), Linux (rpm)
  Оптимизация установочных скриптов

- Сервер (консоль)
  Доработка: добавлено описание соединений от автономного 
  сервера

- Компонента (загрузчик), Windows
  Доработка: добавлена поддержка автономного сервера 

- Сервер, компонента (логгирование), Linux
  Доработка: изменен режим хранения логов предыдущих сеансов 
  работы - по умолчанию сохраняются все логи за текущую дату, 
  а не только лог текущего процесса;
  для возврата к старому режиму в конфигурационных файлах 
  необходимо отключить специальный флаг:

  [Common]
  ; Хранить логи за текущую дату (по умолчанию 1)
  KeepCurrentDateLogs=0

- Компонента, Linux
  Доработка: изменен режим использования разделяемой памяти 
  при использовании встроенного загрузчика

- Компонента [совместимость с СЛК 2.0] [regression]
  Исправлена ошибка: ошибка ENotInitalized при получении лицензии 
  при работе в режиме совместисти с раньними версиями СЛК 2.0 (толстый клиент, 
  обычное приложение)

- Сервер, компонента; Linux-AArch64 (Arm64) [!]
  Реализована экспериментальная поддержка архитектуры AArch64 
  для ОС Linux; 
  в комплект поставки включены соответствующие установочные 
  DEB и RPM пакеты сервера и компоненты;
  в архив компоненты для загрузки в макет конфигурации включен 
  соответствующий so-модуль компоненты

- Компонента, MacOS
  Исправлена ошибка: использовался некорректный способ определения имен
  загруженных библиотек (dylib), что на MacOS X 12 (Monterey) и выше 
  приводило к аварийному завершению процесса 

- Компонента (внешнее API, интеграция с системой лицензирования Рарус)
  Доработка: при получении списка лицензий добавлена информация об
  артикуле, версии продукта и подписках ИТС / КП Отраслевой

- Сервер, MacOS [!]
  Реализована экспериментальная поддержка MacOS X (х86_64) 10.12 (Sierra) 
  и выше; в комплект поставки включен соответствующий установочный 
  пакет (*.dmg, unsigned)

- Сервер, компонента (связь)
  Оптимизация межпоточной синхронизации при выполнении сетевых операций

- Сервер, компонента (связь)
  Оптимизация повторной установки соединения после разрыва

- Компонента (связь)
  Оптимизация логгирования подключения / отключения к серверу СЛК

- Сервер, Unix
  Оптимизация скриптов открытия консоли для дистрибутивов с графическим 
  окружением

- Сервер, Unix
  Оптимизация завершения работы службы

- Сервер, компонента [regression]
  Исправлена ошибка: при получении информации о сервере не 
  учитывались данные о времени сервера и Центра Лицензирования

- Сервер (консоль)
  Оптимизация отображения имен (сиволических ссылок) аппаратных ключей

- Сервер (консоль) [JavaScript][regression]
  Исправлена ошибка: возвращена поддержка бразуера Internet Explorer

3.0.32.11243 2023-06-01

- Сервер, Компонента
  Доработка: реализована команды получения списка сеансов; у компоненты 
  реализованы соответствующие методы:
  [Попытка]ПолучитьСеансы([ИмяСчетчика])

- Сервер (внешнее API)  
  Доработка: при получении списка сеансов реализована возможность получения только тех 
  сеансов, которые получили лицензию указанного счетчика (параметр "CounterName", аналогично 
  команде получения лицензии)

- Сервер (консоль)
  Доработка: отображение контекстного сообщения о возможности 
  получения программной лицензии с блокировкой или преобразованием 
  USB-ключа

- Компонента (защита) [!!]
  Доработка (#USK, #HOUC), оптимизация ($HCON, $OMO)

- Компонента (защита)
  Оптимизация обращения к временным файлам

- Все компоненты (защита) [!]
  Доработка: изменен формат файлов данных (5.4), содержащих 
  защищенные объекты - разработчикам рекомендуется пересоздать 
  файлы данных при помощи актуального редактора

- Компонента (загрузчик), Windows
  Оптимизация подключения компоненты в нелокализованном окружении

- Сервер (консоль)
  Оптмизация формирования и отображения списков сеансов / соединений; при 
  большом количестве сеансов / соединений по умолчанию отображаются только 
  первые 30

- Сервер (консоль) [!]
  Оптмизация контроля отключения истекших сеансов / соединений

- Компонента (параметры лицензии)
  Доработка: у структуры лицензии добавлены поля для расширенных параметров
  отраслевой техподдержки ("IndustrySupportLevel" и "IndustrySupportPreferentials", 
  подробнее см. руководство  разработчика, описание структуры, возвращаемой 
  методами менеджера объектов "ПолучитьЛицензию" и "ПолучитьЛицензии")

- Сервер (консоль)
  Доработка: в свойствах лицензий реализовано отображение расширенных данных 
  об отраслевой техподдержке (КП Отраслевой)

- Сервер (параметры программных ключей)
  Доработка: поддержка расширенных данных об отраслевой техподдержке 
  (КП Отраслевой)

- Компонента [совместимость с СЛК 2.0]
  Исправлена ошибка: при создании защищенного объекта в режиме совместимости 
  с СЛК 2.0 неправильно передавались параметры в предопределенную процедуру 
  "ПриСоздании"

- Сервер (обмен с Центром Лицензирования)  
  Доработка: обновления свойств серии возможно при наличии любых ключей этой 
  серии, в том числе и только аппаратных

- Компонента
  Исправлена ошибка: при публикации файловых баз на веб-сервере 
  в некоторых случаях возникала ошибка доступа к временному файлу
  EAccessDenied

- Компонента [regression]
  Оптимизация создания и использования временных файлов (расположение, 
  контроль удаления внешними средствами)

- Компонента, MacOS [!]
  Реализована поддержка MacOS X (х86_64) 10.12 (Sierra) и выше;
  в архив компоненты для загрузки в макет конфигурации включен 
  соответствующий dylib-модуль компоненты  

- Компонента (связь)
  Оптимизация закрытия сетевых соединений и отключения от сервера СЛК;
  Оптимизация механизма поддержки соединений в активном состоянии

- Компонента 
  Оптимизация создания и повторного использования сеансов  

- Компонента, Windows [интеграция с системой лицензирования Рарус]
  Доработка: расширенное логгирование ошибок при инициализации

- Компонента (логгирование)
  Доработка: при логгировании ошибок добавлена информация о 
  сеансе ИБ, в котором произошла ошибка

- Компонента (логгирование / обработка ошибок)
  Доработка: при блокировке системы во время повтороной установки 
  параметров контроля лицензии в текст сообщения об ошибке добавлены 
  названия параметров, из-за которых выполняется блокировка, например:

  (ELicenceControlParamsLocked) Locked on: PresenceOnly, ITN

- Документация
  Общие исправления / изменения / дополнения

3.0.31.11018 2023-03-03

- Сервер (внешнее API) [regression]
  Исправлена ошибка: было невозможно получить лицензию и создать 
  сеанс через внешнее API из-за ошибки EAccessViolation

- Компонента (защита)
  Оптимизация механизма идентификации защищенных объектов; оптимизация 
  поиска временных файлов

- Компонента (защита) [regression]
  Исправлена ошибка: в некоторых случаях защищенный объект 
  мог быть некорректно идентифицирован

- Документация
  Общие исправления / изменения / дополнения

3.0.31.10976 2023-02-21

- Сервер (контроль)   
  Оптимизация контроля ошибок получения лицензии при использовании
  дополнительных счетчиков

- Сервер, Linux [regression]
  Оптимизация получения информации об оборудовании (ALT Server 10.1)

- Сервер (обработка файловых запросов)
  Оптимизация контроля разницы во времени с Центром Лицензирования

- Сервер (аппаратные ключи), Linux
  Доработка: расширенная информация об ошибках обмена c 
  устройством (50.3.50 и ниже)

- Все компоненты (защита) [!!!]
  Доработка: Изменен формат файлов данных (5.3), содержащих защищенные
  объекты - разработчикам настоятельно рекомендуется пересоздать файлы 
  данных при помощи актуального редактора и изменить функционал защищенных 
  объектов (см. руководство разработчика, приложение "Рекомендации при 
  подготовке нового релиза конфигурации")

- Компонента (защита) [!!!]
  Устранен ряд уязвимостей, позволяющих получить защищенные 
  объекты (#SFD, #TFDR); оптимизация ($SRF, !USK, $OMO)

- Компонента (менеджер объектов) [совместимость с СЛК 2.*] [regression]
  Исправлена ошибка: было невозвомжно получить список объектов
  в файле данных на сервере СЛК

- Компонента (менеджер объектов)
  Доработка: реализован дополнительный контроль и логгирование 
  ошибок загрузки файлов данных из макетов конфигурации

- Компонента (менеджер объектов)
  Доработка: у менеджера объектов добавлен произвольный 
  параметр "Данные", который может быть использован для 
  передачи данных защищенным объектам во время их 
  создания (доступен в предопредленных методах 
  "ПриСозданииОбъекта" и "ПередКонтролемЛицензии")

- Сервер (консоль)
  Доработка: добавлена анимация при выполнении длительных 
  операций (автоматчиеские запросы в Центр Лицензирования и 
  установка файловых ответов)

- Сервер (консоль)
  Исправлена ошибка: в бразуере Internet Explorer не отображались 
  анимационные gif-изборажения

- Компонента (менеджер объектов) [!] [regression]
  Исправлена ошибка: в некоторых случаях при использовании 32-разрядных 
  версий платформы было невозможно вызвать методы менеджера 
  объектов (ошибка EUbnormalCall)

- Сервер, Linux
  Исправлена ошибка: при использовании ZFS в некоторых случаях 
  запуск службы сервера был невозможен из-за ошибки EAccessViolation
  при получения информации о носителях

- Сервер [!!]
  Для совместных решений 1С реализована возможность получения 
  программной лицензий СЛК для замены имеющихся USB-ключей или 
  преобразования их в USB-носители (подробнее см. документацию 
  "Получение программной лицензии")

- Компонента [!]
  Доработка: реализовано принудительное подключение компоненты в 
  неизолированном режиме на плафторме версии 8.3.21 и выше конфигуарциями 
  без режима совместимости или в режиме совместимости с версией 8.3.21 
  и выше 

- Сервер (установочный пакет), Windows
  Доработка: в группу меню "Пуск" добавлен ярлык на папку, в которой
  сохраняются программные лицензии

- Сервер (консоль)
  Оптимизация работы при отключении областей отображения (заголовок, 
  меню) в параметрах адресной строки

- Компонента [совместимость с СЛК 2.*] [regression]
  Исправлена ошибка: не устанавливался признак проверки только наличия 
  ключа при вызове старых методов проверки лицензии 
  [Попытка]ПроверитьЛицензиюСеанса

- Компонента, Windows [regression]
  Исправлена ошибка: возвращена поддержка ОС Microsoft Windows XP

- Все компоненты (внутренние струкутры данных) [!]
  Оптимизация поиска / добавления новых объектов 

- Компонента
  Оптимизация: дополнительный контроль повторной загрузки данных 
  из общего макета

- Компонента (менеджер объектов) [!]
  Исправлена ошибка / оптимизция: было невозможно повторное создание и 
  инициализация менеджера объектов при помощи кэшированного  
  объекта компоненты (ошибка EUbnormalCall)

- Компонента [!]
  Оптимизация получения и освобождения лицензий сеансов 
  серверных информационных баз

- Сервер (механизм контроля лицензий)
  Доработка: аналогично фоновым заданиям при обращении за лицензией 
  из HTTP-соединения проверяется только наличие ключа

- Сервер (консоль)
  Оптимизация формирования меню навигации

- Компонента (совместимость с предыдущими версиями сервера)
  Доработка: установлена минимально поддерживаемая версия 
  сервера 3.0.31

- Сервер (аппаратные ключи)
  Оптимизация получения строки из памяти аппаратных ключей (50.3.50 и ниже)

- Сервер (консоль)
  Исправлена ошибка: было невозможно удалить с аппаратного носителя
  программный ключ, заблокированный в результате апгрейда на другой продукт

- Сервер (консоль)
  Исправлена ошибка: в свойствах программных ключей не отображались флаги 
  функциональности, если их десятичное значение было меньше нуля

- Сервер (консоль)
  Оптимизация отображения старых аппаратных ключей системы СЗК

- Сервер, компонента (лицензионные параметры)
  Оптимизация

- Все компоненты (дополнительные счетчики) [!!] 
  Доработка: на основе лицензионных параметров
  реализован механизм, позволяющий для каждого ключа создавать 
  неограниченное количество именованных счетчиков (подробнее см. 
  документацию "Дополнительные счетчики")

- Документация
  Общие исправления / изменения / дополнения

3.0.30.10493 2022-10-24

- Сервер (консоль) [regression]
  Исправлена ошибка: неправильно формировались элементы формы установки 
  файлового ответа

- Сервер (консоль)
  Оптимизация фильтрации содержимого главного раздела

- Сервер (консоль)
  Оптимзация получения списка сеансов и определения истекших

- Сервер
  Оптимизация установки / получения признака серверного сеанса (сервер 
  приложений, веб-сервер) 

- Сервер (консоль) [!] 
  Исправлена ошибка: было невозможно удалить с аппаратного носителя
  программный ключ, заблокированный в результате активации 
  резервного кода, полученного по запросу в службу поддержки

- Сервер
  Доработка: при логгировании подключения / отключения аппаратных 
  носителей добавлена расширенная информация (версия внутреннего ПО, 
  емкость носителя, дата производства и т.п.)

- Сервер (API)
  Доработка: Реализованы команды работы с пользовательской памятью 
  ключей - чтение / запись / сброс / установка паролей (подробнее см. 
  документацию по API):

  GET|POST|DELETE /api/licences/{KeyNo}/memory

- Компонента [!]
  Доработка: оптимизация получения и освобождения лицензий сеансов 
  серверных информационных баз

- Сервер, компонента [!]
  Доработка: оптимизация загрузки файлов данных и доступа к 
  содержащимся в них объектам

- Сервер, компонента
  Доработка: идентификация информационных баз при получении лицензии / 
  привязке лицензиий к конкретным базам выполняется без учета регистра

- Сервер
  Оптимизация перезапуска службы

- Сервер (установочный пакет), Windows
  Доработка: реализован автоматический выбор расположения Центра 
  Лицензирования в зависимости от текущего расположения, указанного 
  в региональных настройках ОС

- Сервер (установочный пакет), Windows
  Доработка: реализована возможность указать расположение Центра 
  Лицензирования при помощи параметра командой строки: 

  /LicenceCenter=RU|COM|EU

- Сервер (консоль)
  Оптимизация разметки;
  Оптимизация стилей для отображения значков лицензий на 
  устаревших браузерах IE8 и ниже;

- Сервер (консоль)
  Доработка: получение текста файлового запроса из буфера 
  обмена при помощи Clipboard API

- Сервер (консоль)
  Доработка: в разделе "Ответ из Центра Лицензирования" реализована 
  поддержка drag-and-drop - файл ответа возможно просто перетащить 
  на область ввода

- Утилита определения USB устройств, Windows
  Доработка: реализована возможность обновления 
  прошивки ключей на новой аппаратной платформе (HID, 
  мульти-носители)

- Компонента (менеджер объектов)
  Оптимизация получения списка защищенных объектов методами
  [Попытка]ПолучитьСписокОбъектов

- Сервер
  Оптимизация обновления информации о ключах при наличии
  использующих их сеансов

- Сервер, компонента (защита) [!]
  Устранена уязвимость, позволяющая получить имена используемых 
  лицензионных параметров (#LPNM)

- Компонента (защита) [!]
  Оптимизация ($USK, $OMO), изменен формат файлов данных

- Сервер, Компонента (механизм контроля лицензий) [!!]
  Доработка: реализован дополнительный параметр контроля лицензий 
  "ЛюбыеДополнительныеКлючи", при установке которого вместе с 
  другими параметрами (ИНН / ККП / ВерсияПродукта) возможно 
  получение лицензии дополнительных ключей с любыми параметрами (подробнее 
  см. руководство разработчика, описание метода 
  "УстановитьПараметрыКотроляЛицензии")

- Компонента (установочные пакеты), Linux 
  Оптимизация установочных скриптов для обеспечения выполнения 
  при повышенных требованиях к синтаксису (Astra Linux SE 1.7)

- Документация
  Общие исправления / изменения / дополнения

3.0.29.10180 2022-06-24

- Компонента (загрузчик), Windows
  Доработка: частичная реализация функционала загрузчика для 
  оптимизации переключения на уже загруженную компоненту при 
  отсутствии загрузчка

- Все компоненты (логгирование)
  Оптимизация

- Компонента
  Доработка: оптимизация переподключения к серверу СЛК при 
  изменении параметров связи (для исключения ошибки "Error 
  response #409: Encryption Key Error" при установке соединения)

- Сервер (установочный пакет), Windows [regression]
  Исправлена ошибка: было невозможно запустить установочный пакет 
  в "бесшумном"" режиме с параметрами командной строки /Silent 
  или /VerySilent

- Сервер (консоль)
  Доработка: добавлено предупреждение о возможной недоступности 
  сервера при изменении адреса и порта по умолчанию; для изменния 
  этих параметров необходимо выполнить разблокировку полей ввода

- Сервер, Компонента (механизм контроля лицензий) [!!]
  Доработка: реализован дополнительный параметр контроля лицензий 
  "ЛюбойОсновнойКлюч", при установке которого вместе с 
  другими параметрами (ИНН / ККП / ВерсияПродукта) возможно 
  получение лицензии дополнительных ключей при наличии любого 
  основного ключа, в том числе и с другими параметрами (подробнее 
  см. руководство разработчика, описание метода 
  "УстановитьПараметрыКотроляЛицензии")

- Сервер (получение резвного кода)
  Оптимизация: реализован контроль кода активации при обработке 
  ответа из Центра Лицензирования на запрос получения резервного кода

- Компонента [совместимость с СЛК 2.*]
  Реализована возможность указать в конфигурационном файле компоненты 
  С/Н или рег.номер ключа, лицензию которого будет получать 
  приложение:

  [{%Серия%}]
  KeyNo={%С/Н%}
  RegNo={%Рег.номер%}

- Сервер (механизм контроля лицензий, консоль) [!!]
  Доработка: реализована возможность привязать ключ к конкретным 
  информационным базам, чтобы лицензия ключа могла быть получена 
  только из них

- Компонента (менеджер объектов)
  Оптимизация подключения защищенных объектов

- Компонента (защита) [!!]
  Оптимизация ($OMO), изменен формат файлов данных

- Компонента, Windows
  Исправлена ошибка: в некоторых случаях компонента не могла установить 
  соединение в сервером СЛК с ошибкой "String END-MARK missing"

- Компонента (менеджер объектов) [!][regression]
  Исправлена ошибка: возврат поддержки платофрмы 8.2

- Сервер (консоль) [безопасность]
  Доработка: реализована возможность использования альтернативной 
  версии библиотеки jQuery, путь / адрес к которой можно указать в 
  конфигурационном файле:

  [Console]
  ; Адрес текущей актуальной версии
  jQuery=https://code.jquery.com/jquery-3.6.0.min.js
  ; Путь к локальному файлу
  ;jQuery=d:\jquery-3.6.0.min.js

- Документация
  Общие исправления / изменения / дополнения

3.0.28.10144 2022-05-09

- Сервер (консоль)
  Доработка: в главном разделе реализована возможность отдельного отображения 
  заполненных аппаратных носителей - ранее заполненные носители отображались 
  только при отображении всех лицензий

- Сервер
  Оптимизация отключения серверных сеансов по истечении периода бездействия

- Компонента [совместимость с СЛК 2.*]
  Для поддержки работы устаревших конфигуарций, использующих СЛК 2.* и 
  некорректно проверяющих версию компоненты, реализована возможность 
  перекрыть возвращаемую компонентой версию значением из конфигурационного 
  файла:

  [Common]
  CompatibilityVersion={%Требуемое значение%}

- Компонента, Linux
  Оптимизация: принудительное освобождение разделяемой памяти, 
  выделенной ранее загруженными устаревшими версиями компоненты
  (при обнаружении)

- Сервер (консоль) [интеграция с системой лицензирования Рарус]
  Доработка: отображение подключения устаревших версий сервера защиты 
  и управления оборудованием Рарус (1.1.3) в режиме комбинированной 
  защиты

- Установочные пакеты, Windows
  Оптимизация: интерфейс пользователя, команды удаления пакета

- Сервер (установочный пакет), Windows
  Доработка: реализована возможность указать расположение Центра 
  Лицензирования

- Сервер (консоль)
  Доработка: в разделе настроек параметров добавлена возможность
  выбора расположения Центра Лицензирования

- Сервер (консоль)
  Доработка: отображение расположения в ссылках для перехода на сайт 
  Центра Лицензирования

- Сервер (консоль)
  Оптимизация и рефакторинг разметки и скриптов раздела настройки 
  параметров

- Компонента
  Оптимизация отключения сетевых соединений при завершении работы 
  приложения, подключившего компоненту

- Сервер, Компонента
  Доработка: принудительная установка даты и времени первичной 
  активации (FirstActivation) при первичной установке программной 
  лицензии

- Сервер (установочный пакет), Windows
  Оптимизация отображения обнаруженных приложений, которые необходимо 
  завершить для продолжения установки

- Компонента (менеджер объектов)
  Оптимизация загрузки файлов данных из общих макетов расширений 

- Компонента (защита) [!!]
  Оптимизация ($USK, $HCOMN, $OMO)

- Компонента
  Оптимизация: сброс кэша операции получения лицензии при
  изменении параметров связи

- Компонента
  Оптимизация поиска файлов данных при загрузке их из 
  макетов конфигурации

- Все компоненты
  Оптимизация поиска объектов в файлах данных

- Сервер
  Доработка: логгирование информации о загружаемых файлах 
  данных

- Компонента (менеджер объектов)
  Оптимизация получения информации о текущем сеансе

- Компонента (менеджер объектов)
  Оптимизация получения и передачи на сервер СЛК списка 
  текущих сеансов

- Компонента 
  Оптимизация создания и использования временных файлов (расположение, 
  контроль удаления внешними средствами)

- Сервер
  Оптимизация обработки списков сеансов при получении лицензии

- Сервер
  Исправлена ошибка: при физическом повреждении файлов лицензий (например, 
  вирусом-шифровальщиком) было невозможно выполнить обновление / восстановление
  лицензий

- Сервер (консоль)
  Оптимизация отображения информации об аппаратных ключах, работающих в 
  режиме программирования или на отладочной версии ПО (прошивка 70.1.30 
  и выше)

- Утилита определения USB устройств, Windows
  Исправлена ошибка: неправильно отображалась информация о 
  незаполненных аппаратных носителях старого типа (прошивка 
  50.3.50)

- Утилита определения USB устройств, Windows
  Оптимизация отображения прогресса определения старых ключей (прошивка 
  50.2.4 и ниже)

- Демонстрационная конфигурация
  Оптимизация получения информации о текущем сеансе (ОбщиеМодули.СЛК.ДанныеСеанса)

- Документация
  Общие исправления / изменения / дополнения

3.0.27.9882 2022-01-10

- Сервер (служба), Linux
  Оптимизация init.d скриптов службы для устаревших 
  дистрибутивов (CentOS 6 / Debian 7)

- Установочные пакеты (deb), Linux
  Поддержка устаревших дистрибутивов c dpkg версии меньше 
  1.17.6 (Debian 7)

- Сервер, Linux [regression]
  Оптимизация: по умолчанию запуск службы  был невозможен при 
  отсутствии системной библиотеки LibUSB, требовалось отключение 
  использования USB ключей в конфигурационном файле 

- Сервер (консоль), Linux
  Оптимизация отображения предупреждения о недоступности системной 
  библиотеки LibUSB

3.0.27.9872 2021-12-29

- Сервер (контроль лицензий)
  Исправлена ошибка: повторное получение лицензии с изменением типа 
  контроля лицензий на проверку только наличия ключа вызвало блокировку
  полученной ранее лицензии, что в итоге приводило к ошибкам превышения 
  доступных лицензий (ELicenceCountExceeded)

- Компонента (загрузчик), Windows [интеграция с системой лицензирования Рарус]
  Поддержка одновременной работы со старыми компонентами Раруса (версии 
  ниже 8.2.1.663),  загрузка которых до компоненты СЛК могла приводить к 
  невозможности создания защищенных объектов 

- Компонента (защита), Windows [интеграция с системой лицензирования Рарус]
  Оптимизация обращений к подключенной компоненте Раруса

- Все компоненты (защита) [!]
  Доработка: Изменен формат файлов данных (5.0), содержащих защищенные
  объекты - разработчикам рекомендуется пересоздать файлы данных при
  помощи актуального редактора

  Сервер, Компонента (защита) [!]
  Устранена уязвимость, позволяющая получить защищенные объекты (#GOSF)

- Все компоненты (работа с файлами данных)
  Оптимизация проверки типа файла данных

- Компонента (установочный пакет), Windows
  Оптимизация отображения обнаруженных процессов, которые необходимо
  завершить для продолжения операции

- Компонента (загрузка)
  Оптимизация чтения и перебора каталогов при поиске установленной компоненты

- Сервер (аппаратные ключи) [regression]
  Исправлена ошибка при проверке паролей доступа к пользовательской памяти 
  аппаратных ключей (50.3.50 и ниже)

- Сервер (аппаратные ключи)
  Оптимизация записи памяти аппаратных ключей (50.3.50 и ниже)

- Сервер (консоль)  
  В разделе "Документация и ссылки" добавлен документ про аппаратный
  мульти-носителя лицензий

- Компонента (менеджер объектов) [!]
  Оптимизация загрузки файлов данных из макетов конфигурации

- Компонента (менеджер объектов)
  Оптимизация: изменено поведение методов [Попытка]ЗагрузитьИзОбщегоМакета - значение 
  параметра "ОбновитьСуществующий" игнорируется и считается равным "Ложь".
  Для возврата старого поведения необходимо установить в конфигурационном
  файле компоненты специальный флаг:

  CommonTemplateReload=1

- Компонента (защита) [!][+]
  Поддержка виртуальных каталогов профиля безопасности сервера 
  приложений

- Сервер (аппаратные ключи), Linux [regression]
  Восстановление работы с аппаратными ключами на устаревших
  дистрибутивах (CentOS 6, Debian 7), содержащих старую версию стандартной
  библиотеки libusb (<= 1.0.18)

- Сервер (установчный пакет), Windows
  В пакет включена утилита определения USB устройств

- Утилита определения USB устройств, Windows [+]
  Новая реализация с поддержкой определения ключей на новой
  платформе (HID, мульти-носители)

- Все компоненты (локализация)
  Оптимизация механизма переключения языковых ресурсов

- Сервер (консоль)
  Исправлена ошибка: серия при отсутствии лицензий при первом 
  подключении без запроса лицензии отображалась как доступная

- Компонента (NativeAPI)
  Оптимизация инициализации компоненты и получения информации 
  о вызываемом приложении 

- Компонента (защита) [!!]
  Оптимизация (#BDRSF, $OMO)

- Все компоненты, Windows
  Доработка: поддержка отображения ознакомительных версий 
  ОС Windows 11 и Windows Server 2022

- Сервер
  Оптимизация определения старых USB-ключей (50.2.3)

- Сервер
  Исправлена ошибка: после отключения в настройках консоли возможности 
  работы с USB устройствами заново включить ее было возможно только 
  после перезапуска сервера  

- Сервер (консоль)
  Доработка: Отображение PID процессов в заголовках соединения

- Сервер (консоль)
  Исправлена ошибка: неисправные аппаратные носители отображались только 
  при показе заполненных носителей

- Сервер (консоль)
  Оптимизация отображения состояния неисправных аппаратных носителей

- Сервер (логгирование)
  Доработка: Отображение в логах PID процессов при подключении / отключении 
  соединения

- Сервер
  Оптимизация и логгирование отключения соединения

- Документация
  Общие исправления / изменения / дополнения

3.0.26.9544 - 2021-10-07

- Сервер (консоль)
  Оптимизация отображения значков состояния лицензий, установленных на аппаратном 
  носителе

- Сервер
  Исправлена ошибка: неверно отображалось состояние заблокированной в Центре 
  Лицензирования лицензии, установленной на аппаратном носителе

- Компонента (загрузчик), Windows
  Оптимизация поиска и переключения на уже загруженную компоненту в 
  условиях многопоточного окружения

- Компонента (загрузчик), Windows
  Оптимизация подключения компоненты на нелокализованной ОС

- Компонента (загрузчик), Windows [!]
  Оптимизация подключения компоненты в многопоточном окружении

- Сервер [совместимость с СЛК 2.*]
  Оптимизация идентификации сеансов серверных информационных баз 
  при работе в режиме обычного приложения

- Сервер (консоль)
  Доработка: добавлена авторизация при удалении с носителя 
  неработоспособной лицензии

- Сервер [regression]
  Исправлена ошибка: было невозможно удалить с носителя 
  неработоспособную (истекшую, заблоикрованную) лицензию

- Сервер [regression]
  Исправлена ошибка: при повторной установке лицензии на компьютере 
  при наличии доступного ключа не проверялось его состояние 

- Сервер [regression]
  Исправлена ошибка: было невозможно выполнить повторную установку 
  лицензии при помощи только что полученного резервного кода при 
  деактивации с носителя

- Компонента
  Исправлена ошибка: в серверном режиме при удалении всех объектов компоненты 
  выполнялось отключение от сервера СЛК, что приводило к очистке кэша 
  защищенных объектов, загруженных из произвольного макета

3.0.26.9524 - 2021-07-22

- Компонента, Windows [!]
  Оптимизация механизма выделения / освобождения памяти при работе 
  с защищенными объектами 

- Компонента, Linux [!]  
  Оптимизация механизма переключения на уже загруженную процессом 
  компоненту

- Компонента  
  Оптимизация создания и использования временных файлов

- Сервер [regression]
  Исправлена ошибка: при стандартной переустановке лицензии в случае 
  изменения конфигурации компьютера (получение резервного кода и его 
  последующая установка) было невозможно получить лицензию из-за ошибки
  EAccessViolation 

- Сервер
  Оптимизация получения серии ключей для соединения при 
  получении лицензии; логгирование / возврат более информативного сообщения 
  об ошибке

- Сервер (консоль)
  Оптимизация алгоритма проверки заголовков HTTP-запросов HOST
  при доступе к консоли; в списке разрешенных значений заголовка 
  реализована возможность указывать не только доменные имена, но и IP-адреса

- Сервер (консоль)
  Доработка: реализована возможность полностью отключить контроль
  заголовков HTTP-запросов HOST при доступе к консоли; в разделе 
  параметров добавлена соответствующая настройка

3.0.25.9395 - 2021-05-12

- Компонента (загрузчик), Windows
  Оптимизация механизма подключения к целевому процессу

- Компонента, Windows [regression]
  Исправлена ошибка: возвращена поддержка ОС Microsoft Windows XP

3.0.25.9389 - 2021-05-04

- Компонента, Linux [regression]
  Оптимизация механизма получения версии исполняемого файла на диске;

  Исправлена ошибка: в некоторых случаях не определялась версия
  исполняемого модуля динамически подключаемой библиотеки (.so);

- Компонента
  Доработка: у метода объекта компоненты "Запуск" добавлен необязательный 
  параметр "ТребоватьСоответствующуюВерсиюСервера", установка которого 
  в Истина позволит соединиться с севрером СЛК только если его версия
  больше или равна версии компоненты

  Запуск(Серия[, ТребоватьСоответствующуюВерсиюСервера = Ложь])

- Сервер, Компонента
  Доработка: изменено поведение при установке параметров контроля лицензии 
  по версии продукта методом менеджера объектов "УстановитьПараметрыКонтроляЛицензий" - 
  если значение версии не указано, то сервер выдаст лицензию любого свободного 
  ключа независимо от его версии, если указано нулевое значение - то только 
  ключей с неустановленной версией продукта (0)

- Компонента
  Оптимизация логгирования системных ошибок создания защищенных 
  объектов (ESystem)

- Сервер 
  Оптимизация загрузки и контроля состояния файлов лицензий, созданных на предыдущих версиях 
  сервера, в случае изменения конфигурации компьютера

- Сервер, Компонента
  Доработка: реализована работа с серверными параметрами (существующими во время работы 
  сервера СЛК); у компоненты реализованы соответствующие методы:
  [Попытка]ПолучитьСерверныйПараметр(Имя) 
  [Попытка]УстановитьСерверныйПараметр(Имя, Значение)

- Сервер, Компонента
  Доработка: реализована возможность блокировки доступа к памяти ключей и 
  серверным параметрам; у компоненты реализован соответствующий метод:
  [Попытка]УстановитьБлокировку(Блокировать)

- Сервер [!]
  Доработка: реализована возможность упрощенного восстановления программных ключей при 
  изменении оборудования (выполняется автоматическое получение и активация резервных 
  кодов)

- Сервер (консоль)
  Доработка: при выполнении обновления / восстановления лицензий в случае изменения оборудования 
  реализована возможность выбора ключей, работу которых необходимо восстановить

- Сервер [!!]
  Доработка: реализована поддержка аппаратных носителей USB-HID (EFM8 70.1.*) с 
  возможностью установки нескольких программных ключей

- Сервер (консоль)
  Доработка: в заголовках серий реализовано отображение счетчиков количества 
  лицензий/сеансов/соединений

- Сервер (консоль)
  Доработка: в главном разделе реализована возможность скрыть / показать полностью 
  заполненные USB-носители и деактивированные лицензии (состояние фильтров 
  сохраняется в куках браузера)

- Сервер (консоль)
  Доработка: в главном разделе реализовано сохранение на время сеанса состояния
  свернутости / развернутости информации по отдельным лицензиям/сеансам/соединениям 

- Сервер (консоль)
  Доработка: в главном разделе в свойствах соединения реализовано развернутое 
  предупреждение об устаревшей версии компоненты и добавлена ссылка на инструкцию 
  по обновлению

- Сервер [!]
  Оптимизация: сокращение объема передаваемых данных при формировании запросов 
  в Центр Лицензирования

- Сервер (консоль)
  Оптимизация обработки ошибок при установке файловых ответов из Центра 
  Лицензирования

- Компонента [!]
  Исправлена ошибка: в некоторых случаях, если сервер СЛК при обработке 
  команды вернул системную ошибку (Access Violation, Not enough memory 
  или подобную), то могло происходить зависание обработки запроса

- Сервер [!]
  Исправлена ошибка: в режиме проверки только наличия ключа было невозможно
  получить лицензию при наличии только демонстрационного ключа  

- Сервер (консоль)
  Глобальная оптимизация и рефакторинг разметки, стилей и изображений

- Компонента
  Оптимизация: в рамках сеанса реализовано кэширование запросов получения 
  лицензии

- Сервер, компонента
  Оптимизация логгирования информации о сеансах / соединениях / лицензиях

- Сервер (консоль)
  Оптимизация формирования краткого описания состояния лицензии

- Компонента
  Доработка: выполнение методов освобождения лицензии "[Попытка]ОсвободитьЛицензию" 
  разрешено только при работе конфигурации в режиме совместимости со старыми версиями 
  платформы, где разрешены серверные вызовы при завершении работы (8.3.8 и ниже)

- Сервер [!]
  Оптимизация механизма идентификации и отключения сеансов серверных информационных 
  баз 

- Компонента [!]
  Доработка: реализация механизма контроля завершения работы (использования компоненты) 
  и выгрузки библиотеки из памяти и / или разрыва соединения с сервером

- Компонента (загрузчик), Windows
  Оптимизация переключения на уже загруженную или доступную максимальную версию 
  компоненты

- Компонента, Windows
  Оптимизация механизма определения имени файлов, спроецированных в память

- Компонента
  Доработка: реализовано блокирование удаления временных файлов объектов внешними 
  средствами

- Компонента (защита) [!]
  Оптимизация (!SFR, $CLSF)

- Компонента (менеджер объектов)
  Доработка: изменено поведение при обработке предопределенного метода 
  защищенного объекта "ПередКонтролемЛицензии" - при установке параметра "Отказ"
  в "Истина" лицензия при создании объекта не проверяется

- Все компоненты (разработка)
  Апгрейд производственных инструментов, оптимизация кросс-платформенной сборки и 
  тестирования

- Документация
  Общие исправления / изменения / дополнения

3.0.24.9152 - 2021-01-25

- Сервер (API)
  Доработка: при создании сеанса и получении лицензии реализована возможность 
  указать параметры ключей, лицензии которых будут заняты (см. документацию, описание
  внешнего API) 

- Сервер (консоль)
  Исправлена ошибка: в форме установки кода доступа к лицензии не выполнялась 
  очистка поля ввода при выполнении команды "Очистить"

- Сервер (консоль)
  Доработка: В свойствах лицензии реализовано отображение рег.номера, с которого 
  был выполнен апгрейд (если выполнялся и есть данные)

- Сервер (консоль)
  Доработка: реализована поддержка локализованных наименований для 
  серий, артикулов продуктов, версий продукта и информационных сообщений 
  конкретных лицензий

- Сервер (консоль)
  Исправлена ошибка: при изменении в параметрах текущего языка было невозможно 
  вернуть значение по умолчанию "автоматически (или английский)"

- Сервер (консоль)
  Доработка: в консоли в свойствах ключа реализовано отображение наименования
  версии продукта (если установлено)

- Сервер (консоль)
  Оптимизация и рефакторинг разметки 

- Сервер (консоль)
  Доработка: информационным сообщениям конкретных лицензий добавлены соответствующие
  значки

- Сервер (консоль)
  Доработка: после принятия изменений в разделе настроек выполняется открытие 
  главного раздела

- Компонента
  Доработка: у структуры лицензии добавлено поле наименования версии продукта
  ("ProductVersionName", подробнее см. руководство разработчика, описание 
  структуры, возвращаемой командами ПолучитьЛицензию / ПолучитьЛицензии)

- Демонстрационная конфигурация
  Доработка: в функции общего модуля "СЛКОбщие.ОписаниеЛицензии" реализовано
  отображение наименования версии продукта (ProductVersionName)

- Все компоненты, Windows
  Доработка: реализовано получение версии выпусков (ReleaseId) 
  ОС Microsoft Windows 10 / Microsoft Windows Server 2016 / Microsoft Windows 
  Server 2019

- Компонента (установочный пакет), Linux
  Оптимизация установочных скриптов

- Компонента (установочный пакет), Windows
  Исправлена ошибка: при установке пакета на компьютере, где не обнаружена
  платформа 1С:Предприятие, вместо предупреждения выдавалось системное сообщение
  об ошибке 

- Компонента, Linux [!]
  Оптимизация получения имен обрабатываемых файлов и алгоритма их поиска

- Компонента, Linux
  Доработка: реализована поддержка работы файловых баз, опубликованных на 
  веб-сервере Apache 2.4 (apache2)

- Компонента (защита) [!!]
  Оптимизация доступа к временным файлам (!TFR, $CLSF)

- Компонента
  Оптимизация алгоритма удаления файлов логов и временных файлов объектов; 
  оптимизация механизма получения информации о работающих процессах

- Компонента, Linux [!!]
  Оптимизация механизма поиска и переключения управления на уже загруженную 
  ранее компоненту; контроль подключения компоненты новым процессом с уже 
  использовавшимся ранее идентификатором (PID)

- Сервер (консоль)
  Доработка: поддержка имен временных файлов при подключении компоненты из макета на 
  платформе 8.3.18.* для корректной идентификации расположения компоненты

- Документация
  Общие исправления / изменения / дополнения

3.0.23.9103 - 2020-12-08

- Компонента (защита), Windows [интеграция с системой лицензирования Рарус, regression]
  Исправлена ошибка: исправлена ошибка совместимости новых механизмов 
  защиты ($TFR) с системой защиты Раруса 

- Компонента (установочные пакеты), Linux
  При обнаружении в процессе установки работающих процессов 1С (сервер приложений, 
  тонкий / толстый клиенты) добавлено выделение предупреждения о необходимости
  их перезапуска

3.0.23.9102 - 2020-11-30

- Установочные пакеты, Windows
  Доработка: добавлено отображение наименования и версии устанавливаемого 
  пакета в процессе подготовки и выполнения установки

- Сервер (установочные пакеты), Linux
  При установке пакетов на дистрибутивах c systemd после установки и запуска службы  
  реализованы проверка и отображение состояния процесса сервера

- Сервер [совместимость с СЛК 2.*]
  Оптимизация контроля доступности лицензий, активированных на старых версиях СЛК 
  ниже 2.1

- Сервер (консоль)
  Исправлена ошибка: при изменении и сохранении параметров в консоли неправильно
  обрабатывалось поле "HostNames" - вместо этого параметра менялось значение пароля 
  на доступ к консоли

- Компонента, Windows [важная]
  Оптимизация механизма удаления временных файлов; изменен алгоритм 
  определения состояния процесса 

- Компонента
  Оптимизация создания защищенных объектов большого размера (десятки 
  мегабайт)

- Сервер, Linux [важная]
  Оптимизация получения информации об оборудовании (фильтрация типов 
  дисковых устройств)

- Компонента (защита)
  Оптимизация доступа к временным файлам ($TFR)

- Компонента [regression]
  Оптимизация алгоритма проверки / сравнения версий; поддержка старых 
  версий платформы ниже 8.3.11

- Компонента (защита), Linux / Windows [важная] 
  Устранена уязвимость, позволяющая получить защищенные объекты (#BDRSF.UFN)  

- Компонента [совместимость с СЛК 2.0, regression]
  Исправлена ошибка: в режиме совместимости с СЛК 2.0 на платформе 8.2 было 
  невозможно создать защищенный объект по клиентской ссылке

- Документация
  Общие исправления / изменения / дополнения

3.0.22.9046 - 2020-10-12 

- Компонента [regression]
  Исправлена ошибка создания защищенного объекта при параллельной перезагрузке 
  данных из макетов в разных сеансах серверной базы

- Все компоненты
  Доработка: реализована возможность добавить в файл данных произвольное
  пользовательское значение (CustomString), которое потом возвращается методом 
  менеджера объектов "ПолучитьСписокОбъектов" в поле структуры информации о файле 
  данных (подробнее см. документацию)

- Сервер (консоль)
  Оптимизация перезапуска сервера с новыми параметрами связи
  (порт / адрес) при их изменении в консоли

- Сервер (консоль)
  Исправлена ошибка: после установки в консоли конкретного IP-адреса, на котором 
  работает сервер, было невозможно вернуться к настройке "работать на всех доступных 
  адресах / интерфейсах"  

- Сервер (консоль) [важная]
  Доработка: Реализован контроль некоторых критических уязвимостей (XSS, Frame Injection, 
  CRLF Injection); оптимизирован контроль и проверка входных параметров запросов, в формы 
  добавлены Anti-CSRF токены

- Сервер (консоль)
  Доработка: Оптимизация контроля полученных данных от Центра Лицензирования

- Сервер
  Оптимизация освобождения объектов при отключении соединения

- Сервер [важная]
  Оптимизация механизма получения / освобождения лицензий сеансов файловых
  баз в терминальных соединениях

- Сервер (консоль)
  Доработка: В свойствах файлового сеанса добавлено отображение имени 
  клиентского компьютера при терминальном соединении

- Сервер (консоль)
  Доработка: значок файлового сеанса при терминальном соединении стилизован 
  аналогично значку самого терминального соединения

- Компонента [совместимость с СЛК 2.0]
  Исправлена ошибка: в режиме совместимости с СЛК 2.0 при хэшировании 
  строки методами менеджера объектов выполнялось конвертирование строки в 
  кодировку CP1251 вместо UTF-8

- Компонента, Windows [интеграция с системой лицензирования Рарус]
  Доработка: добавлено определение и логгирование версии и имени файла компоненты 
  Раруса

- Сервер
  Доработка: установка отметки времени Центра Лицензирования для программных ключей, 
  установленных на аппаратном USB носителе версии 50.3.50

- Сервер
  Доработка: установка расчетной отметки времени Центра Лицензирования при установке 
  программного ключа по телефону

- Сервер (консоль)
  Исправлена ошибка: при автоматическом обновлении содержимого главного раздела 
  не отображались новые данные (подключенные ключи / сеансы / соединения) если 
  изначально раздел был пуст

- Сервер (консоль)
  В разделе информации о системе добавлено отображение имени файла текущего лога 
  сервера

- Компонента (защита), Linux / Windows [важная] 
  Рефакторинг и оптимизация механизма подключения защищенных объектов в 
  многопоточном окружении

- Компонента (защита), Linux / Windows [критическая] 
  Устранена уязвимость, позволяющая получить защищенные объекты (#BDRSF, #BDRTF)

- Все компоненты (защита)  [критическая]
  Доработка: Изменен формат файлов данных, содержащих защищенные
  объекты - разработчикам рекомендуется пересоздать файлы данных при
  помощи актуального редактора

- Документация
  Общие исправления / изменения / дополнения


3.0.21.8611 - 2020-05-31

- Компонента (менеджер объектов)
  Доработка: добавлена конвертация возвращаемых методом "ПолучитьИнформациюОСервере" дат 
  в локальное время

- Компонента (менеджер объектов)
  Доработка: у методов получения списка защищенных объектов добавлен необязательный параметр, 
  в котором возвращается структура информации о файле данных (формат, дата изменения, версия 
  редактора):
  [Попытка]ПолучитьСписокОбъектов(МакетИлиИмя, Имя, ИнформацияОФайлеДанных)

- Компонента [совместимость с СЛК 2.0]
  У объекта компоненты в режиме совместимости с ранними версиями СЛК 2.0 добавлены функции 
  хеширования

- Компонента (менеджер объектов)
  Доработка: у менеджера объектов добавлены методы хэширования:
  [Попытка]ПолучитьХэшКод(Данные, ТипХэша, ИспользоватьКлюч)

- Сервер (консоль)
  Исправлена ошибка: при периодическом обновлении содержимого главного раздела сбрасывался
  фильтр по серии, установленный в адресе (URL)

- Сервер
  Доработка: добавлено логгирование ошибок при выполнении запросов в Центр Лицензирования  

- Демонстрационная конфигурация
  В форме обработки "СЛК.ПроверкаКоманд" реализован пример вызовов методов хэширования

- Демонстрационная конфигурация
  В модуле формы обработки "СЛК.ПроверкаКоманд" при получении списка объектов реализовано 
  получение информации о файле данных

- Документация
  Общие исправления / изменения / дополнения
  
3.0.21.8579 - 2020-05-15

- Компонента (менеджер объектов)
  Доработка: При возврате информации о сервере СЛК методом "ПолучитьИнформациюОСервере" и 
  о программных ключах методами "ПолучитьЛицензию" и "ПолучитьЛицензии" добавлены отметки 
  времени Центра Лицензироания ("ServerTime") и сервера СЛК ("LocalTime")

- Демонстрационная конфигурация
  Доработка: в общем модуле "СЛКОбщие" добавлены функции получения наименования подписок 
  ИТС по значению полей структуры лицензии ("ТипТехподдержки" и "ТипОтраслевойТехподдержки")

- Демонстрационная конфигурация
  В модуле формы обработки "СЛК.ПроверкаКоманд" при получении списка лицензий добавлен пример
  кода для проверки сроков действия техподдержки

- Сервер
  Оптимизация контроля расхождения во времени при загрузке файлового ответа из Центра 
  Лицензирования

- Компонента
  Доработка: при логгировании операции загрузки файлов данных из макетов добавлена 
  информация о файле (формат, локальная дата создания и т.п.)

- Сервер, Windows
  Оптимизация формирования информации об оборудовании (контроль необходимости 
  учета меток дисковых томов)

- Сервер (консоль)
  Исправлена ошибка: для ключей, активированных при помощи кода активации с нулевым 
  индексом была недоступна команда для получения резервного кода

- Компонента
  Оптимизация доступа к конфигурационному файлу в многопоточном
  окружении - когда на (кластере) сервере приложений работает
  несколько разных конфигураций, в каждой из которых активно много фоновых
  заданий

- Компонента (менеджер объектов)
  Доработка: При возврате информации о программном ключе методами
  "ПолучитьЛицензию" и "ПолучитьЛицензии" добавлены дата первой
  активации ("FirstActivation") и признак блокировки ключа в Центре
  Лицензирования ("Blocked")

- Компонента
  Доработка: При логгировании события по получению лицензии добавлена
  информация о приложении / типе сеанса

- Сервер, Linux (LibUSB)
  Оптимизация механизма подключения / отключения аппаратных ключей в
  фоновом режиме

- Сервер
  Исправлена ошибка: неверно выполнялось кодирование базовым алгоритмом
  при использовании старых серий ключей (СЗК)

- Сервер (API)
  Доработка: Реализована цифровая подпись (RSA, 2048, SHA256) ответов на
  запросы; при расчете подписи реализована поддрежка уникального идентификатора
  запроса (подробнее см. документацию по API)

- Сервер (API)
  Доработка: Реализована команда по созданию внешнего сеанса и получению им
  лицензии (подробнее см. документацию по API):

  POST /api/sessions

- Сервер (консоль)
  Исправлена ошибка / оптимизация: команда на отключение сеанса серверных
  информационных баз становилась доступна только после истечения времени
  бездействия, сравнимого с временем жизни сеанса - реализована доступность
  команды сразу же после подключения сеанса

- Сервер
  Исправлена ошибка: при активации программного ключа на аппаратный носитель
  версии 50.3.50 на ОС Linux неправильно сохранялись значения даты / времени -
  реализован независимый от ОС формат хранения дат

- Все компоненты, Windows
  Исполняемые модули и установочные пакеты (.exe, .dll) подписаны цифровой
  подписью с расширенной проверкой (EV Code Signing)

- Установочные пакеты, Windows
  Оптимизация отображения / размера окон / визуальных элементов

- Сервер (консоль)
  Доработка: реализовано автоматическое периодическое обновление содержимого
  главного раздела; в настройках добавлена возможность отключить / настроить
  скорость обновления

- Сервер (консоль)
  Исправлена ошибка: для деактивированных ключей команда на переустановку с
  полученным ранее резервным кодом активации оставалась доступной даже после
  использования кода и блокировки ключа в Центре Лицензирования

- Все компоненты
  Изменен формат файлов данных: добавлен расчет / проверка контрольных сумм

- Компонента (менеджер объектов)
  Оптимизация обращения к объекту компоненты

- Компонента (менеджер объектов)
  Оптимизация создания защищенных объектов

- Демонстрационная конфигурация
  Оптимизация создания менеджера объектов

- Документация
  Общие исправления / изменения, в т.ч.:

    В руководство разработчика добавлены раздел с рекомендациями по подготовке нового
    релиза конфигурации

    Дополнено описание внешнего API сервера СЛК

3.0.20.8469 - 2019-11-11

- Компонента, Linux
  Оптимизация механизма поиска запущенного локального сервера СЛК

- Компонента
  Исправлена ошибка: при указании нестандартного порта для связи с
  локальным сервером СЛК и невозможности установить соединение
  происходило зависание приложения

- Все компоненты, Linux
  Оптимизация получения переменных окружения и командной строки текущего
  процесса

- Компонента (защита), Linux
  Оптимизация создания защищенных объектов при подключении компоненты
  веб-сервером Apache

- Сервер (консоль)
  Доработка: В описании соединения добавлена поддержка подключения компоненты на
  веб-сервере Apache (пакет apache2)

- Сервер (консоль)
  Доработка: Оптимизация отображения состояния дополнительных ключей, которые могут
  быть использованы как в комбинированной защите с системой Раруса, так и в СЛК:

  при отстутсвии основного ключа дополнительный ключ отображается досупным при наличии
  соедниения от сервера лицензирования Рарус и отсутствии соединений от
  процессов 1С:Предприятия

- Сервер (консоль)
  Доработка: предупреждение об использовании параметров авторизации по умолчанию
  перенесено в заголовок страницы

- Сервер (консоль)
  Доработка: реализована возможность временно скрыть предупреждения в заголовке
  страницы (ошибки драйвера ключа / параметры авторизации по умолчанию / ошибки
  списка серий и т.п.)

- Сервер (консоль)
  Доработка: реализован механизм формирования и отображения изображений CAPCHA

- Сервер (консоль)
  Доработка: реализована возможность отключения зависших сеансов для серверных
  информационных баз (операция требует авторизации, аналогично получению резервных
  кодов и т.п., а также ввода CAPCHA для предотвращения автоматического
  отключения)

- Сервер
  Таймаут отключения по бездействию сеансов серверных информационных баз увеличен
  до 20 минут (аналогично платформе)

- Сервер (консоль)
  Оптимизация формирования заголовков разделов - отображение более полной информации
  по ключу / сеансу / соединению

- Сервер (консоль)
  Доработка: реализовано сохранение состояния свернутости / развернутости информации
  по сериям ключей

- Сервер (консоль)
  Исправлена ошибка: для лицензий заблокированных в Центре Лицензирования по причине
  получения и активации резервного кода на другом носителе была доступна неработоспособная
  команда "Получить резервный код"

- Сервер
  Исправлена ошибка: при обновлении параметров ключей не сбрасывались
  значения установленных параметров (например, КПП) при обнулении их в
  Центре Лицензирования

- Сервер
  Исправлена ошибка: при перезапуске сервера после обновления параметров
  ключей в некоторых случаях неверно устанавливался признак блокировки
  ключа

- Документация
  Доработана инструкция по установке ключей и получению резервных кодов - добавлен
  раздел по восстановлению / обновлению лицензий

- Документация
  Общие исправления / изменения

3.0.19.8373 - 2019-08-16

- Компонента [совместимость с СЛК 2.0]
  Для совместимости с ранними версиями СЛК 2.0 у объекта компоненты
  добавлено свойство "СсылкаНаМенеджерОбъектов"

- Компонента
  Доработка: в HTTP-запрос при обмене с сервером СЛК добавлен
  заголовок HOST на основе текущих параметров подключения

- Сервер (консоль)
  Доработка: оптимизация отображения поврежденных программных ключей

- Компонента (внешнее API)
  Оптимизация уничтожения используемого объекта (освобождения памяти,
  отключение соединения с сервером и т.п.)

- Компонента (внешнее API), Linux
  Доработка внешнего API для использования в ОС Linux

- Компонента (установочный пакет), Windows
  Добавлено предупреждение при установке на компьютере, где не
  обнаружена платформа 1С:Предприятие

- Компонента
  Доработка: добавлено логгирование загрузки файлов данных
  из макетов конфигурации

- Сервер (установочный пакет), Windows
  Доработка: реализована возможность запуска установки внешней
  компоненты при наличии ее установочного пакета в папке установочного
  пакета сервера (аналогично драйверу аппаратных ключей)

- Сервер (консоль)
  Доработка: оптимизация показа сообщения, установленных для лицензий
  в Центре Лицензирования

- Сервер (консоль)
  Доработка: отображение сеансов, получающих лицензию в режиме совместимости
  с СЛК 2.0

- Компонента [совместимость с СЛК 2.0]
  Исправлена ошибка: при получении лицензии в режиме совместимости
  с СЛК 2.0 (в клиентском контексте методом объекта компоненты
  "ПроверитьЛицензию") проверялось только наличие ключа

- Компонента
  Оптимизация механизма выделения памяти в контексте отельных потоков при
  создании защищенных объектов

- Компонента (менеджер объектов, защита) [критическая], Windows / Linux
  Доработка: устранена уязвимость, позволяющая получить защищенные
  объекты (#DICCP)

- Компонента (загрузчик), Windows
  Оптимизация механизма инициализации загрузчика в процессах
  веб-сервера IIS / Apache

- Компонента
  Оптимизация освобождения памяти при обработке ошибок загрузки
  данных из макетов

- Компонента
  Оптимизация механизма локализации сообщений при подключении компоненты
  в многопоточном окружении

- Компонента, Windows
  Оптимизация механизма освобождения памяти защищенных объектов


3.0.18.8079 - 2019-02-25

- Сервер (консоль)
  Исправлена ошибка: информационное сообщение о наличии более новой
  версии СЛК выдавалось и в случае совпадения версий

- Компонента, Windows [regression]
  Оптимизация работы в комбинированном режиме совместно с компонентой
  системы защиты Раруса на платформе 8.3.13.1513 и выше

- Компонента, Windows [интеграция с системой лицензирования Рарус]
  В конфигурационном файле реализована возможность отключить интеграцию
  с компонентой системы защиты Рарус

  [Common]
  ; 0 - отключена; 1 - включена, по умолчанию;
  RarusIntegration=0

- Компонента
  Исправлена ошибка: при получении параметра для несуществующего ключа неверно
  формировалось сообщение об ошибке

- Сервер (консоль)
  В свойствах лицензии реализовано отображение даты апгрейда (если выполнялся для
  данного рег.номера)

- Компонента (менеджер объектов)
  У объекта, возвращаемого командами "ПолучитьЛицензию", "ПолучитьЛицензии" и
  аналогичными, добавлено свойство "UprgadeDate", содержащие дату апгрейда
  (если выполнялся для данного рег.номера) (подробнее см. руководство разработчика)

- Документация
  Исправления, дополнения

3.0.18.8060 - 2019-01-29

- Сервер (консоль)
  В свойствах лицензии реализовано отображение сообщения,
  установленных для данной лицензии в Центре Лицензирования

- Компонента (менеджер объектов)
  У объекта, возвращаемого командами "ПолучитьЛицензию", "ПолучитьЛицензии" и
  аналогичными,  добавлены  свойства "Message" и "MessageType", содержащие
  данные сообщения, установленного в Центре Лицензирования (подробнее см.
  руководство разработчика)

- Компонента
  Оптимизация создания защищенных объектов на платформе 8.3.13.1513 и
  выше

- Сервер
  Оптимизация процедуры очистки аппаратного носителя

- Сервер
  В описание сообщений об ошибках получения лицензии добавлена информация
  о серии ключей

- Сервер
  При формировании файлового запроса на обновление / восстановление лицензий
  добавлена информация о компьютере (аналогично установке лицензии)

- Сервер, Windows
  Оптимизация обновления / восстановления поврежденных лицензий, установленных
  после отката на предыдущие версии СЛК

- Сервер (консоль)
  Для серий, используемых в интегрированной защите с системой Раруса, убрано
  предупреждение об отсутствии основных ключей

- Сервер (консоль)
  Локализация сообщений об использовании серии внешнем соединении

- Документация
  Добавлено описание комбинированной защиты с системой лицензирования
  Рарус (см. manuals.zip)

- Сервер
  Доработка: добавлено получение актуальной версии СЛК

- Сервер (консоль)
  Доработка: добавлено информационное сообщение о наличии более новой
  версии СЛК

- Сервер (консоль)
  Оптимизация отображения сроков действия техподдержки

- Документация
  Исправления, дополнения


3.0.17.8014 - 2018-11-29

- Сервер (консоль)
  Доработка: добавлена настройка возможности установки кодов доступа к
  лицензиям, по умолчанию отключена

  В отключенном состоянии при попытке установить код доступа возникает
  ошибка EOperationNotAllowed

- Сервер [regression]
  Исправлена ошибка: неверно рассчитывалась дата окончания действия
  временного ключа

- Компонента, Windows
  Оптимизация получения / преобразования имен временных
  файлов, поддержка ReFS

- Сервер
  Доработка: реализовано обновление названия серии ключей при
  установке / обновлении лицензий

- Компонента [совместимость с СЛК 2.0]
  Для совместимости с ранними версиями СЛК 2.0 у объекта компоненты
  добавлены свойства и методы: "Серия", "ПрочитатьПользПамять",
  "ЗаписатьПользПамять", "ОбнулитьПользПамять", "УстановитьПаролиНаПользПамять"

- Компонента (установочный пакет), Linux
  Оптимизация: убран автоматический перезапуск службы сервера
  приложений 1С

- Документация
  Исправления, дополнения

3.0.17.7997 - 2018-11-09

- Компонента, Linux
  Поддержка переопределения имен в /etc/hosts

- Компонента (защита) [критическая]
  Доработка: устранена уязвимость, позволяющая получить защищенные
  объекты (#BDROM.BDRSF)

- Все компоненты (защита)  [критическая]
  Доработка: Изменен формат файлов данных, содержащих защищенные
  объекты - разработчикам рекомендуется пересоздать файлы данных при
  помощи актуального редактора

- Все компоненты
  У программных ключей добавлено свойство "тип сервиса" (ServiceType), устанавливаемое
  для ключей, размещаемых в специальных сервисах 1С (подробнее см. руководство
  разработчика, описание структуры, возвращаемой командами ПолучитьЛицензию / ПолучитьЛицензии)

- Сервер, компонента
  Доработка: расширены и локализованы сообщения об ошибках загрузки файлов
  данных

- Сервер
  Исправлена ошибка: неверно рассчитывалась дата окончания действия
  временного ключа при использовании резервного кода активации

- Компонента
  Доработка: при установке неверного (нечислового или нулевого) значения порта для
  связи с сервером лицензий будет использовано значение по умолчанию (9099)

- Компонента
  Доработка: у структуры лицензии добавлено поле даты последнего
  обновления ("UpdateDate", подробнее см. руководство разработчика, описание 
  структуры, возвращаемой командами ПолучитьЛицензию / ПолучитьЛицензии)

- Компонента
  Доработка: добавлена проверка кода доступа при создании защищенного
  объекта из файла данных на сервере СЛК

- Компонента
  Доработка: при использовании резервных серверов в конфигурационном
  файле переключение на резервный при ошибке превышения количества
  лицензий (ELicenceCountExceeded) выполняется только для файловых баз

- Компонента
  Оптимизация работы на финальном релизе платформы 8.3.13.1513

- Сервер (консоль)
  Доработка: При получении резервного кода добавлено предупреждение о невозможности
  его использования на предыдущих версиях СЛК

- Сервер (консоль)
  Доработка: В свойствах лицензии на значке установленного кода доступа добавлена всплывающая
  подсказка с предупреждением о возможной недоступности

- Сервер (консоль)
  Доработка: При использовании серии внешним соединением от сервера лицензирования
  Рарус добавлена ссылка на веб-отчет сервера лицензирования Рарус

  http://localhost:15201

- Сервер (консоль)
  Оптимизация отображения состояния истекших сеансов

- Сервер, Linux
  Оптимизация проверки работоспособности программных ключей при невозможности / ошибках
  получения информации об оборудовании (диски, файловая система)

- Сервер, Windows
  Добавлен контроль версии драйвера перед активацией аппаратного носителя

- Редактор файлов (графический интерфейс)
  Доработка: добавлено отображение версии формата файла (текущая в загловке окна,
  создаваемого файла в поле ввода и логе)

- Сервер (API)
  Исправлена ошибка: при получении информации об установленных лицензиях для
  аппаратных ключей не возвращалось наименование продукта

- Сервер (API)
  Реализованы команды получения информации по конкретным объектам (method urn):

  GET /api/licences/{keyno} - получение информации о ключе / лицензии
  GET /api/connections/{id} - получение информации о соединении
  GET /api/sessions/{id}    - получение информации о сеансе

- Документация
  Правка, дополнение руководства администратора

3.0.16.7731 - 2018-08-01

- Компонента
  Доработка: реализованы англоязычные варианты методов менеджера объектов (см.
  руководство разработчика)

- Компонента
  Доработка: у структуры лицензии добавлены поля
  техподдержки (ИТС / ИТС Отраслевой, см. руководство разработчика)

- Сервер (консоль)
  В свойствах соединения добавлено предупреждение о необходимости обновления
  в случае использования устаревшей версии компоненты

- Сервер (консоль)
  Оптимизация обработки ошибок авторизации

- Сервер (консоль)
  Доработка: в свойствах лицензий реализовано отображение данных о
  техподдержке (ИТС / ИТС Отраслевой)

- Сервер
  Доработка: поддержка хранения на болванке данных о техподдержке (ИТС / ИТС Отраслевой)

- Сервер
  Оптимизация механизма записи / обновления служебных данных в болванке

- Сервер
  Доработка: поддержка старых USB ключей (прошивка 50.2.3), запрограммированных
  на новые серии ключей

- Компонента
  Оптимизация загрузки файлов данных из макетов в фоновых заданиях

- Компонента
  Оптимизация создания защищенных объектов в фоновых заданиях

- Компонента
  Экспериментальная поддержка тестовой версии платформы 8.3.13

- Сервер, Linux
  Оптимизация получения информации об оборудовании (диски) при использовании
  RAID массивов

- Компонента
  Доработка: при использовании резервных серверов в конфигурационном
  файле реализовано переключение на резервный не только при ошибках связи,
  но и ошибках получения лицензии

- Компонента
  Оптимизация отключения от сервера при завершении работы (выгрузке из памяти)

- Сервер
  Оптимизация обновления лицензий

- Сервер (установочный пакет), Windows
  Оптимизация открытия консоли при завершении установки

- Сервер (консоль)
  Оптимизация механизма показа / сворачивания элементов для обеспечения возможности
  выделения и копирования текста

- Сервер (консоль)
  В свойствах соединения добавлен комментарий в случае использования компоненты,
  расположенной в макете конфигурации

- Сервер (консоль)
  Изменена формулировка команд получения резервных кодов с
  "Деактивировать / Получить резервный код" на "Получить резервный код"

- Сервер (консоль)
  При получении резервного кода для ключа, который вышел из строя из-за
  изменения конфигурации компьютера, автоматически предлагается выполнить
  установку полученного кода активации

  Аналогично, в свойствах такого деактивированного ключа добавлена
  команда для установки полученного резервного кода активации

- Сервер / Компонента (установочные пакеты), Windows
  Исправлена ошибка: не отображались русские символы при установке
  пакетов на ОС с не русским языком интерфейса

- Сервер (установочный пакет), Linux
  В меню приложний графического рабочего стола (разделы "Офис", "Системные"")
  добавлен ярлык для открытия консоли сервера СЛК в браузере по умолчанию

- Документация
  Исправления, дополнения

3.0.15.7529 - 2018-04-11

- Сервер
  Исправлена ошибка при активации резервного кода для неработоспособной
  лицензии, установленной на старых версиях СЛК 2.*

- Сервер
  Оптимизация загрузки файлов лицензий: учет ошибок при активации резервного
  кода для неработоспособной лицензии, установленной на старых версиях СЛК 2.*

- Сервер
  Оптимизация контроля целостности файлов лицензий

- Сервер
  Оптимизация получения описания состояния лицензий

- Сервер [интеграция с системой лицензирования Рарус]
  Автоматическая блокировка серии используемой сервером лицензирования
  Рарус

3.0.15.7528 - 2018-04-04

- Сервер, Linux
  Оптимизация получения информации об оборудовании (процессор)

- Сервер (консоль), Windows
  Исправлена ошибка безопасности: было возможно получить содержимое
  локальных файлов

- Сервер (консоль)
  Реализовано отображение состояния сеансов, использующих контроль только наличия
  ключа (цвет, комментарий)

- Сервер (API)
  Реализована команда (method urn):

  POST /api/licences - установка лицензий (в теле запроса JSON c кодом
                       активации, ИНН / КПП и т.п. )

- Документация
  В руководство админстартора добавлено описание внешнего API сервера


3.0.15.7522 - 2018-03-18

- Сервер (консоль) [regression]
  Исправлена ошибка: Не работало ограничение доступа к консоли только с
  локального компьютера

- Сервер (консоль)
  На страницах формирования файлового запроса добавлены ссылки
  на сайт и электронную почту Центра Лицензирования

- Сервер (консоль)
  При невозможности автоматической установки / обновления лицензий на
  странице ошибки отображается предложение сформировать файловый запрос
  и активировать его на сайте Центра Лицензирования или отправить в
  Центра Лицензирования по почте

- Сервер
  Оптимизация загрузки файлов программных ключей: сброс случайно сохраненных в файле
  полей времени (состояние, ошибки и т.п.)

- Редактор файлов (графический интерфейс)
  Ознакомительная версия графического интерфейса пользователя
  для создания файлов данных (пока только защищенные объекты)

- Компонента (установочный пакет), Linux
  Автоматический перезапуск службы сервера приложений 1С (как при установке,
  так и при удалении пакета)

- Компонента, Linux
  Оптимизация переключения на уже загруженную компоненту в 64-х
  разрядных ОС

- Сервер (консоль)
  При установке лицензий ИНН сделан обязательным полем

- Сервер
  Исправлена ошибка: некорректно освобождались лицензии в файловой ИБ
  при использовании COM-соединения к этой же (использующей
  эту же серию ключей) ИБ, что приводило к ошибке "Access violation"

- Сервер (консоль)
  Исправлена ошибка: в настройках неправильно сохранились текстовые
  значения (имена пользователя, пароли) при использовании специальных
  символов (!@#$% и т.п.)

- Сервер, Linux
  Оптимизация получения информации об оборудовании (материнская плата, BIOS)
  при работе в виртуальных ОС

- Сервер (консоль)
  Для неработоспособного программного ключа добавлен комментарий о полученном
  резервном коде (если был получен)

- Сервер
  Добавлен контроль деактивации старых программных ключей, установленных
  на самых первых версиях СЛК 2.0.*

- Сервер
  Реализован механизм автоматического обновления лицензий с периодичностью раз
  в сутки

- Сервер
  Оптимизация загрузки файлов лицензий: учет возможной установки резервного
  кода активации на предыдущей версии СЛК 2.* при наличии ключа, установленного
  на СЛК 3.0

- Документация
  Улучшение качества скриншотов

3.0.15.7488 - 2017-12-14

- Компонента, Linux
  Оптимизация получения версии и переключения на уже загруженную
  компоненту

- Сервер, Linux
  Оптимизация получения информации об оборудовании (диски) при использовании программных
  RAID массивов

- Сервер (консоль) [regression]
  Исправлена ошибка: неправильно формировался запрос установки лицензии
  при сохранении в файл

- Документация
  В руководство администратора добавлен раздел об особенностях раздачи лицензий
  сервером СЛК в зависимости от типов информационных баз

3.0.15.7472 - 2017-11-22

- Сервер, Linux
  Оптимизация получения информации об оборудовании при работе в виртуальных
  ОС под управлением гипервизора Xen

- Сервер (консоль) [regression]
  Исправлена ошибка проверки авторизации - в некоторых случаях было возможно
  получить доступ по пустому логину и паролю

- Сервер (консоль)
  Добавлено отображение полученного резервного кода активации в свойствах
  деактивированной лицензии

- Компонента (менеджер объектов)
  Добавлены команды деактивации лицензии и получения резервного кода:
  [Попытка]ДеактивироватьЛицензию(СерийныйНомер, Причина, Комментарий, Логин, Пароль)
  [Попытка]СоздатьФайловыйЗапросДеактивации(СерийныйНомер, Причина, Комментарий, Логин, Пароль)

- Компонента (менеджер объектов)
  У объекта, возвращаемого командами "ПолучитьЛицензию", "ПолучитьЛицензии" и аналогичными, добавлено
  булево свойство "CanUninstall", которое возращает Истина если возможна деактивация и получение резервного
  кода

- Документация
  Дополнение руководства разработчика;
  Дополнение инструкции по обновлению примером использования в терминальном режиме.

3.0.14.7433 - 2017-10-27

- Компонента (установочный пакет), Windows
  Реализован автоматический перезапуск в случае необходимости службы сервера
  лицензирования Рарус

- Компонента (установочный пакет), Windows
  Реализован автоматический перезапуск / завершение процессов и служб, мешающих
  выполнению операции:

  - при удалении компоненты

  - при запуске установки в "бесшумном" режиме (ключи /Silent или /VerySilent)
    при указании ключа /CloseRunning


3.0.14.7432 - 2017-10-24

- Компонента (установочный пакет), Linux (i386)
  Исправлена ошибка: в пакете отсутствовал файл компоненты licenceaddin.so

- Сервер
  Доработка: при невозможности получения информации об оборудовании
  сервер не запускается, в лог записывается сообщение об ошибке

- Сервер
  Исправлена ошибка при обновлении информации о лицензиях, установленных
  на аппаратном носителе (болванке)

- Сервер
  Исправлена ошибка: неправильно обрабатывались даты временных лицензий,
  установленных на предыдущих версиях СЛК 2.*

- Сервер, Windows / Linux
  Оптимизация получения информации об оборудовании

- Сервер (консоль)
  Изменен значок болванки (аппаратного носителя)

- Сервер (консоль)
  Оптимизация скорости формирования веб-страницы

- Сервер (консоль)
  При настройке кода доступа к ключу добавлено предупреждение
  о возможной недоступности ключа после установки / изменения кода
  доступа

- Компонента
  Добавлены подробные предупреждения при ошибках запуска:
  - в случае уже загруженной компоненты предыдущей версии СЛК 2.*
  - в случае попытки соединения с локальным сервером предыдущей
    версии СЛК 2.*

- Компонента (менеджер объектов)
  Оптимизация скорости выполнения и объема кода

- Компонента (менеджер объектов)
  Добавлены команды удаления лицензий и получения резервного
  кода "УдалитьЛицензию" / "ПопыткаУдалитьЛицензию"

- Компонента
  Реализована поддержка использования конфигурационных файлов для конкретного
  пользователя ОС - сначала компонента ищет файл к каталоге текущего
  пользователя, если его там нет, то в общем каталоге.

  Для ОС Windows:
  %LocalAppData%\1C\licence\3.0\licenceaddin.conf

  Для ОС Linux:
  /home/{user}/.1C/licence/3.0/licenceaddin.conf

- Демонстрационная конфигурация
  Оптимизация функции сравнения версий общего модуля "СЛКОбщие";
  Оптимизация вывода сообщений об ошибках

- Документация
  Дополнение руководств администратора и разработчика

3.0.14.7380 - 2017-10-06

- Компонента
  Оптимизация создания защищенных объектов в файловых базах,
  опубликованных на веб-сервере

- Компонента
  Доработка: поля типа дата / время при получении лицензии или
  списка лицензий, возвращаются в локальном времени компьютера (ранее
  возвращались в UTC)

- Сервер / Компонента (установочные пакеты), Windows
  Оптимизация переключения языка установки

- Сервер
  Исправлена ошибка: было невозможно активировать программный ключ
  на аппаратном носителе при указании ИНН

- Сервер
  Исправлена ошибка: при установке резервного кода активации на том же
  неактивированном аппаратном ключе, для которого этот код был получен,
  установленный ключ считался деактивированным и требовалось переподключить
  устройство для сброса этого состояния

- Компонента, Windows
  Исправлена ошибка подключения компоненты в файловой базе, опубликованной
  на веб-сервере IIS в устаревших ОС Windows Vista / Server 2008

- Компонента (установочный пакет), Windows
  Добавлена возможность включить загрузку компоненты процессами веб-серверов
  IIS и Apache 2.2 / 2.4 (если обнаружены) на этапе установки (по умолчанию отключена)

- Компонента (установочный пакет), Windows
  Реализован автоматический перезапуск в случае необходимости служб веб-серверов
  IIS и Apache 2.2 / 2.4

- Компонента (загрузчик), Windows
  Оптимизация подключения загрузчика процессами веб-серверов IIS и Apache 2.2 / 2.4

- Компонента (установочный пакет), Windows
  В поставку включен конфигурационный файл компоненты с комментариями (на английском)

- Компонента, Linux
  Исправлена ошибка: при указании адреса сервера в формате IPv6 происходило аварийное
  завершение процесса, подключившего компоненту

3.0.14.7273 - 2017-09-29

- Сервер, Linux
  Оптимизация инициализации сетевого интерфейса при запуске / перезапуске
  сервера

- Сервер (консоль)
  Оптимизация отображения определяемого аппаратного ключа

- Сервер, Linux (LibUSB)
  В конфигурационном файле реализована возможность настройки дополнительных
  задержек при опросе / подключении аппаратных ключей:

  [UPKey]
  ; Задержка перед обработкой события, мс (по умолчанию 100)
  HotplugDelay=
  ; Интервал проверки, мс (по умолчанию 500)
  HotplugPeriod=

- Документация
  Дополнения / исправления. В частности, в инструкцию по установке программных
  ключей и руковдство администратора добавлен раздел о переносе уже установленных
  лицензий с компьютера на аппаратный носитель (неактивированный USB ключ)

3.0.14.7255 - 2017-09-22

- Сервер / компонента
  В конфигурационных файлах реализована возможность настройки таймаутов
  соединения:

  [Timeouts]
  ; Установка соединения, сек (по умолчанию 60, 0 - системное значение)
  ConnectTimeout=
  ; Прием данных, сек (по умолчанию 60, 0 - системное значение)
  ReceiveTimeout=
  ; Поиск адреса, сек (по умолчанию 60, 0 - системное значение)
  ResolveTimeout=
  ; Ожидание ответа, сек (по умолчанию 60, 0 - системное значение)
  ResponseTimeout=
  ; Передача данных, сек (по умолчанию 60, 0 - системное значение)
  SendTimeout=

  Для компоненты также возможна настройка параметров для
  конкретной серии, для чего необходимо использовать отдельную
  секцию, например:

  [672B.Timeouts]

- Сервер
  Исправлена ошибка: при обновлении / восстановлении лицензий некорректно
  обрабатывались счетчики лицензий используемых в данных момент ключей

- Компонента
  Реализована возможность переключения на резервный сервер(сервера) в
  случае проблем соединения. Список резервных серверов указывается в параметре
  "ReservedServers" в конфигурационном файле или через свойство "ПараметрыСвязи"
  объекта компоненты.

  Пример конфигурационного файла (возможно использование как общей секции,
  так серкции для конкретной серии):

  [Common]
  ; Основные параметры
  ServerAddr=SERVER1
  ServerPort=9099
  ; Резервные параметры
  ; ServerAddr1[:ServerPort1],ServerAddr2[:ServerPort2],...ServerAddrN[:ServerPortN]
  ReservedServers=SERVER2,SERVER3:9099

  Пример свойства компоненты:

  ОбъектКомпоненты.ПараметрыСвязи = "ServerAddr=SERVER1;ServerPort=9099;ReservedServers=SERVER2,SERVER3:9099";

- Компонента
  Добавлено расширенное логгирование ошибок создания защищенных объектов

- Сервер, Linux (LibUSB)
  В конфигурационном файле реализована возможность настройки задержки
  при обмене данными с аппаратныи ключами:

  [UPKey]
  ; Установить в 1 для принудительной работы на низкой скорости
  ForceLowSpeed=0
  ; Задержка между посылками при медленном обмене, мкс (по умолчанию 100)
  SendSlowDelay=200
  ; Таймаут посылки при медленном обмене, мс (по умолчанию 10000)
  SendSlowControlTransferTimeout=20000
  ; Таймаут посылки при быстром обмене, мс (по умолчанию 10000)
  SendFastControlTransferTimeout=20000
  ; Таймаут примерма, мс (по умолчанию 10000)
  RecieveControlTransferTimeout=20000
  ; Задержка между послылкой и примемом, мс (по умолчанию 0)
  ExchangePause=10
  ; Минимальный интервал между обменами, мс (по умолчанию 10)
  ExchangeMinInterval=50

- Сервер
  Добавлен / дополнен комментарий при запуске исполняемого модуля сервера
  в терминале

- Сервер, Windows
  При запуске исполняемого модуля сервера в терминале реализована перекодировка
  системных сообщений об ошибках

- Компонента
  Оптимизация отключения от сервера СЛК

3.0.14.7160 - 2017-09-14

- Компонента (менеджер объектов) [совместимость с СЛК 2.*]
  Реализована поддержка методов "ПолучитьНомерКлюча" / "ПопыткаПолучитьНомерКлюча",
  возвращающих С/Н ключа, лицензия которого получена в текущем сеансе.

  Фактического получения лицензии при этом не выполняется; если лицензия еще не
  получена, возвращается 0.

- Сервер
  Оптимизация механизма блокировки лицензий при активации резервных кодов

- Сервер / Компонента (логгирование)
  При создании лог-файла первой строкой записывается его полное имя

- Сервер / Компонента (логгирование)
  В имена файлов логов добавлено время создание файлов

- Сервер, Linux (LibUSB)
  Оптимизация механизма подключения / отключения аппаратных ключей

- Компонента, Linux [интеграция с системой лицензирования Рарус]
  Реализация возможности одновременной работы компонент СЛК и Рарус
  в рамках одного процесса

- Сервер (консоль)
  Добавлен комментарий для соединений от веб-сервера Апач

- Редактор
  Исправлена ошибка: не обрабатывались файлы исходных данных
  если в путях содержались пробелы

- Документация
  Дополнение / актуализация

3.0.14.7063 - 2017-09-06

- Сервер (консоль) [интеграция с системой лицензирования Рарус]
  Оптимизация отображения подключения от сервера лицензирования
  Рарус и используемых им серий

- Компонента (внешнее API)
  Исправлена ошибка: при получении списка ключей конкретной серии
  возвращались ключи всех серий

- Компонента
  Исправлена ошибка: при выполнении команды менеджера объектов
  "ОбновитьЛицензии" возникало необработанное исключение, свзяанное
  с преобразованием данных в объекты платформы

- Документация
  Инструкция по установке программных ключей: добавлен раздел по
  автоматическому получению резервных кодов;
  Инструкция по обновлению предыдущих версий: дополнены примеры
  Руководство администратора: добавлен раздел о конфигурационном файле
  компоненты


3.0.14.7033 - 2017-08-28

- Сервер
  Исправлена ошибка: при дективации программного ключа было невозможно актвировать
  полученный код активации в неактиврованном ключе на этом же компьютере (где
  установлен сервер СЛК), т.к. деактиврованный ключ сохранял
  работоспособность еще в течение 24 часов.

- Сервер (консоль)
  Исправлена ошибка: в браузере Internet Explorer отображалось
  предупреждение об отключенном JavaScript

- Сервер / Компонента, Windows
  Доработка: для файловых баз изменен механизм получения лицензий в терминальном
  режиме - все файловые базы, запущенные с одного терминального клиента, занимают одну
  лицензию.

- Компонента, Windows
  Оптимизация получения версий ОС старше Windows 8

- Сервер (установочные пакеты)
  В поставку включена пользовательская документация

- Сервер (консоль)
  В меню добавлен раздел для доступа к поставляемой пользовательской
  документации и ссылкам на профильные сайты

- Сервер (консоль)
  На страницы, связанные с активацией программных ключей, добавлена ссылка на
  инструкцию по активации

- Сервер (консоль)
  На страницы, связанные с активацией программных ключей и требующие авторизации,
  добавлены предупреждения безопасности о необходимости смены имени пользователя / пароля
  по умолчанию

- Сервер (консоль)
  На страницу деактивации / получения резервного кода добавлено предупреждение, что
  деактивируемая лицензия сохранит работоспособность в течение 24 часов

- Сервер (консоль)
  На страницу обновления / восстановления лицензий добавлено краткое описание этой
  команды

- Сервер (консоль)
  На странице настройки параметров реализована возможность выбора IP адреса сервера из
  списка доступных адресов

- Компонента
  Реализована возможность указания в конфигурационном файле отдельных параметров
  связи для разных серий ключей

- Компонента [совместимость с СЛК 2.*]
  При работе компоненты в режиме совместимости с СЛК 2.* изменено поведение методов
  менеджера объектов "ЗагрузитьИзОбщегоМакета" и "ЗагрузитьИзМакета": в случае уже
  загруженного макета и не установленном параметре "ОбновлятьСуществующий" вызов
  отрабатывает без ошибок, исключение ETemplateAlreadyLoaded не вызывается.

- Сервер, Windows [совместимость с СЛК 2.*]
  Поддержка программных ключей, установленных на старых версиях СЛК ниже 2.1.5

3.0.13.6968 - 2017-08-04 (r1)

- Компонента
  Оптимизация загрузки / переключения на уже загруженную компоненту

- Компонента (загрузчик), Windows (x64)
  Оптимизация загрузки компонент версии 3.0.6 и выше

- Сервер [интеграция с системой лицензирования Рарус]
  Оптимизация блокировки серии командой внешнего API компоненты

- Сервер
  Поддержка работы с аппартными ключами, подключенными по
  сети (AnywhereUSB и т.п.).

  Важно: стабильная работа в таком режиме не гарантируется, рекомендуется
  подключать ключи непосредственно к физическим портам компьюетра.

3.0.13.6948 - 2017-07-28 (r1)

- Компонента
  Исправлена ошибка: было невозможно создать защищенный внешний отчет с использованием
  механизма защиты от опасных действий

- Сервер (установочный пакет), Windows
  Оптимизация: реализована автоматическая остановка службы установленного сервера СЛК 2.*
  на устаревших ОС (Windows XP / 2003)

- Сервер (консоль)
  В настройке параметров добавлены предупреждения безопасности о необходимости смены
  имени пользователя / пароля по умолчанию

3.0.13.6940 - 2017-07-21 (r1)

- Сервер / Компонента [совместимость с СЛК 2.*]
  Исправлена ошибка совместимости - изменен алгоритм получения С/Н текущеего ключа
  для поддержки команд получения параметров и работы с памятью ключа от СЛК 2.*

- Компонента [совместимость с СЛК 2.*]
  Реализована поддержка повторной инициализации объектов для совместимости со старыми
  конфигурациями использующими СЛК 2.0 в режиме обычного приложения.

3.0.13.6904 - 2017-07-06 (r1)

- Компонента, Windows
  Исправлена ошибка, которая могла приводить к аварийному завершению процесса
  1С в низкопроизводительном окружении на ОС Windows 7 x64

- Сервер
  В конфигурационном файле реализована возможность настройки периода времени,
  по истечении которого сеанс серверной информационной базы автоматически
  освобождает лицензию:

  [Timeouts]
  ; Период, сек.
  ; Минимально возможное значение 600 сек. = 10 мин.
  ; Максимально возможное значение 3600 сек. = 1 час
  InfoBaseSessionExpire=600

3.0.13.6886 - 2017-06-28 (r1)

- Сервер (консоль)
  Добавлен раздел "Информация о системе"

- Сервер (консоль) [regression]
  Исправлена ошибка: не возвращались файлы (*.css, *.js, *.png), что
  приводило к неправильному отображению содержимого консоли

- Сервер, Linux
  Оптимизация получения системного (загрузочного) диска

- Сервер (консоль)
  Оптимизация: URL декодирование комментария, вводимого при деактивации
  лицензий, перед формированием запроса в Центр Лицензирования

- Сервер (консоль)
  Доработка: добавлено отображение оставшегося времени работы деактивированного
  дополнительного ключа

- Компонента
  Реализована обработка исключений при поиске уже загруженной компоненты
  предыдущией версии

- Компонента (установочный пакет), Windows
  Исправлена ошибка загрузки компоненты, приводящая к утечкам памяти

- Сервер / Компонента
  Исправлена ошибка, приводящая к невозможности чтения файлов данных, подготовленных
  редактором СЛК 2.* в режиме командной строки


3.0.12.6862 - 2017-06-15 (r1)

- Сервер (консоль)
  Исправлена ошибка: при деактивации активированного USB ключа неправильно
  отображался его статус (как истекший) и для повторного использования требовалось
  переподключить устройство

- Сервер (консоль)
  Добавлен контроль доступа к операциям удаления / получения резервных кодов (по умолчанию
  включен)

- Сервер (консоль), Демонстрационная конфигурация
  Для компактного отображения консоли в интерфейсе 1С:Предприятия реализована возможность скрытия
  областей заголовка и навигации при помощи параметров HTTP запроса (см. пример использования
  в демонстрационной конфигурации - обработка "СЛК", форма "Консоль")

- Сервер (консоль)
  По умолчанию для файловых запросов установлено расширение .txt

- Сервер (API)
  В тестовом режиме реализовано внешнее REST API, доступны следующиее
  команды (method urn):

  GET /api              - информация об API (версия, список команд)
  GET /api/serverinfo   - информация о сервере
  GET /api/licences     - список лицензий / ключей
  GET /api/connections  - список соединений
  GET /api/sessions     - список сеансов

- Сервер (консоль)
  В настройках реализована возможность настройки параметров доступа к API

- Сервер (консоль)
  В настройках реализована возможность сворачивать/разворачивать группы

3.0.12.6771 - 2017-05-18 (r1)

- Сервер / компонента
  Оптимизация механизма контроля сеансов ИБ - учет возможности "переноса" сеансов между
  рабочими процессами сервера приложений (между рабочими серверами)

- Компонента
  Оптимизация механизма контроля сеансов ИБ - исключение сеанса конфигуратора из списка
  сеансов, занимающих лицензии

- Сервер
  Оптимизация механизма обновления лицензий - учет текущих подключенных сеансов

- Сервер
  Добавлен контроль целостности файлов лицензий

- Сервер
  Оптимизация получения значений лицензионных параметров

- Редактор
  Исправлена ошибка: при создании файла параметров не устанавливалось значение главного
  основного ключа

- Компонента
  Реализована возможность работы с лицензионными параметрами, расположенными в макетах
  конфигурации (см. пример в демонстрационной конфигурации)

- Демонстрационная конфигурация
  Реализован пример работы с лицензионными параметрами, расположенными в макетах
  конфигурации (см. форму "ПроверкаКоманд" обработки "СЛК", получение лицензионных
  параметров)

- Демонстрационная конфигурация
  Упрощено получение имени объектов / параметров (см. форму "ПроверкаКоманд" обработки "СЛК")

3.0.11.6681 - 2017-04-27 (rc2)

- Сервер (консоль)
  Добавлена авторизация при установке кодов доступа аналогично доступу к
  настройкам

- Компонента, Windows/Linux
  Оптимизация механизма постоянного соединения (HTTP keep-alive)

- Компонента (установочный пакет), Windows
  Реализована возможность автоматического перезапуска служб сервера 1С:Предприятия
  в случае необходимости

- Демонстрационная конфигурация
  Реализован пример определения возможности освобождения лицензии при завершении работы
  в клиент-серверном режиме (платформа версии или в режиме совместимости 8.3.7 и ниже).
  Подробнее см.:
  - Модуль управляемого приложения, процедуры "ПриНачалеРаботыСистемы" и "ПриЗавершенииРаботыСистемы";
  - Общий модуль "СЛК", функция "ОсвобождатьЛицензиюПриЗавершенииРаботы"

3.0.11.6670 - 2017-04-12 (rc2)

- Компонента (менеджер объектов), Windows/Linux [совместимость с СЛК 2.*]
  Поддержка методов "ПолучитьМенеджерЛицензий", "МенеджерЛицензий" по доступу
  к объекту компоненты

- Компонента, Windows/Linux
  Исправлено удаление логов компоненты, запущенной в другом процессе

- Компонента (менеджер объектов), Windows/Linux [совместимость с СЛК 2.*]
  Исправлена реализация метода "ПопыткаПолучитьЗначениеПараметра" - в случае ошибки
  вызывалось исключение

- Сервер (установочные пакеты), Linux (rpm)
  Оптимизация установочных скриптов при обновлении уже установленного сервера

- Сервер (консоль)
  Реализована возможность установки кода доступа к ключам защиты

- Сервер (консоль)
  Реализована возможность фильтрации данных по серии

- Компонента (менеджер объектов), Windows/Linux
  Добавлены методы "УстановитьКодДоступа", "ПопыткаУстановитьКодДоступа" для установки
  текущему сеансу ИБ кода доступа к ключам защиты

- Сервер
  Добавлена задержка при перезапуске сервера при изменении параметров в консоли

- Сервер / компонента, Windows/Linux
  Оптимизация механизма контроля сеансов ИБ - учет возможности дублирования номеров и времени
  запуска сеансов в разных базах на одном сервере приложений


3.0.10.6590 - 2017-03-31 (rc1)

- Сервер (установочный пакет), Windows
  Загрузка из Центра Лицензирования актуальных данных о сериях ключей

- Сервер
  Поддержка демонстрационных ключей (тип 5)

- Сервер (консоль)
  Отображение идентификатора процесса (PID) в свойствах соединения

- Компонента
  Оптимизация создания объектов компоненты

3.0.10.6556 - 2017-02-08 (rc1)

- Редактор, Windows/Linux
  Указание системной кодировки (ansi/utf8) для файла параметров

- Компонента (менеджер объектов), Windows/Linux
  Проверка загрузки макета при получении списка объектов

- Сервер (консоль)
  Новая анимация при определении старых ключей

3.0.10.6555 - 2017-01-27 (rc1)

- Сервер (установочный пакет), Linux (deb, rpm)
  Установка скриптов служб в %postinst событиях по определению
  системного демона (sysvinit, systemd)

- Сервер (консоль)
  Сжатие CSS, JS

- Компонента
  Поддержка механизма защиты от опасных действий платформы 8.3.9.2033

3.0.8.4000 - 2016-10-05 (a,b1,b2)

- Сервер / компонента
  Оптимизация определения локального IPv4-адреса
